--- fedora-user-guide_Tour_of_the_KDE_desktop_fr.po	2011-07-31 08:31:35.484839570 +0200
+++ fedora-user-guide_Tour_of_the_KDE_desktop_fr1.po	2011-08-01 08:32:19.000000000 +0200
@@ -1,438 +1,553 @@
 # AUTHOR <EMAIL@ADDRESS>, YEAR.
 # 
 # neb <nick@bebout.net>, 2011.
 msgid ""
 msgstr ""
 "Project-Id-Version: Fedora User Guide\n"
 "POT-Creation-Date: 2011-02-24T02:09:07\n"
-"PO-Revision-Date: 2011-07-30 07:05+0000\n"
-"Last-Translator: shaiton <shaiton@fedoraproject.org>\n"
+"PO-Revision-Date: 2011-08-01 08:32+0100\n"
+"Last-Translator: Bribanick dominique <chepioq@gmail.com>\n"
 "Language-Team: French <trans-fr@lists.fedoraproject.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Language: fr\n"
 "Plural-Forms: nplurals=2; plural=(n > 1)\n"
 
 #. Tag: title
 #, no-c-format
 msgid "Tour of the KDE desktop"
 msgstr "Visite guidée du bureau KDE"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "This chapter introduces the KDE desktop in Fedora &PRODVER;. It is easier to"
 " explain how to use the desktop throughout this guide after explaining some "
 "of the common terminology used with the KDE desktop."
 msgstr ""
+"Ce chapitre  présente le bureau KDE sous Fedora &PRODVER;. Il est plus facile "
+"d'expliquer comment utiliser ce bureau tout au long de ce guide après avoir expliqué "
+"certains des termes couramment utilisés avec le bureau KDE."
 
 #. Tag: title
 #, no-c-format
 msgid "The KDE desktop"
-msgstr ""
+msgstr "Le bureau KDE"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "If you installed Fedora &PRODVER; from the Fedora &PRODVER; KDE Live CD, KDE"
 " is the default desktop on your computer. If you installed Fedora &PRODVER; "
 "from the Fedora DVD, your the default desktop is GNOME, and KDE is available"
 " as an option at the login screen. <xref linkend=\"chap-User_Guide-"
 "Tour_of_the_GNOME_desktop\" /> describes the GNOME desktop."
 msgstr ""
+"Si vous installez Fedora &PRODVER; à partir du Fedora &PRODVER; Live CD KDE, alors "
+"KDE est votre gestionnaire de bureau par défaut. Si vous installer Fedora &PRODVER; "
+"à partie du DVD, votre gestionnaire de bureau par défaut est GNOME et KDE est disponible "
+"comme option depuis l'écran de connexion. <xref linkend=\"chap-User_Guide-"
+"Tour_of_the_GNOME_desktop\" /> décrit l'environnement de bureau GNOME."
 
 #. Tag: para
 #, no-c-format
 msgid "The KDE desktop has two main areas:"
-msgstr ""
+msgstr "Le bureau KDE a deux domaines principaux :"
 
 #. Tag: para
 #, no-c-format
 msgid "The <firstterm>desktop area</firstterm>"
-msgstr ""
+msgstr "L'<firstterm>espace de bureau</firstterm>"
 
 #. Tag: para
 #, no-c-format
 msgid "The <firstterm>KDE panel</firstterm>"
-msgstr ""
+msgstr "Le <firstterm>tableau de bord KDE</firstterm>"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "The layout and location of these items can be customized, but the term used "
 "for each of them remains the same."
 msgstr ""
+"L'agencement et l'emplacement de ces articles peuvent être personnalisés, "
+"mais le nom utilisé pour chacun d'eux reste le même."
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "The desktop area is the large space where windows are displayed. Icons for "
 "the <guilabel>Home</guilabel> folder and <guilabel>Trash</guilabel> are "
 "located in the top left corner of this area, within a tinted area that "
 "represents the contents of a folder (in this case, the "
 "<filename>Desktop</filename> folder)."
 msgstr ""
+"L'espace de bureau est le grand espace où les fenêtres sont affichées. Des icônes pour "
+"le dossier <guilabel>Dossier personnel</guilabel> et pour la <guilabel>Corbeille</guilabel> "
+"sont situées dans le coin supérieur gauche de cet espace, dans une zone teintée "
+"qui représente le contenu d'un dossier (dans ce cas le dossier <filename>Bureau</filename>)."
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "The KDE panel is located at the bottom, and spans the entire width of the "
 "screen. It features the <application>Kickoff Application "
 "Launcher</application>, <application>Device Notifier</application> and "
 "application launchers, displays the running applications as buttons, and "
 "gives access to the workplace switcher, calendar, and the clock."
 msgstr ""
+"Le tableau de bord de KDE est situé en bas, et s'étend sur toute la largeur de "
+"l'écran. Il comprend le <application>Lanceur d'applications "
+"Kickoff</application>, le <application>Gestionnaire de tâches</application> et "
+"les lanceurs d'applications, affiche les applications qui fonctionnent sous forme de boutons, "
+"et permet d'accéder au gestionnaire de bureau, au calendrier et à l'horloge."
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "The following sections describe the KDE desktop area and the KDE panel in "
 "further detail."
 msgstr ""
+"La section suivante décrit en détail l'espace de bureau et le tableau "
+"de bord de KDE."
 
 #. Tag: title
 #, no-c-format
 msgid "The KDE desktop area"
-msgstr ""
+msgstr "L'espace de bureau de KDE"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "Before any additional icons are added to it, the desktop area is fairly "
 "empty and contains only a translucent area that represents the contents of "
 "the <filename>Desktop Folder</filename> at the top left of the screen. The "
 "<filename>Desktop Folder</filename> area contains icons for "
 "<guilabel>Home</guilabel> folder and <guilabel>Trash</guilabel>. You can add"
 " icons to the desktop for applications or places by finding them in the "
 "<application>Kickoff Application Launcher</application> menu, right-clicking"
 " them and clicking <menuchoice><guimenu>Add to "
 "Desktop</guimenu></menuchoice>."
 msgstr ""
+"Avant que soit ajouté d'autres icônes, l'espace de bureau est assez "
+"vide et ne montre qu'un espace transparent qui représente le contenu de "
+"l'<filename>Afficheur du bureau</filename> en haut à gauche de l'écran. "
+"Cet <filename>Afficheur du bureau</filename> contient les icônes pour le "
+"<guilabel>Dossier personnel</guilabel> et la <guilabel>Corbeille</guilabel>. "
+"Vous pouvez ajouter des icônes sur le bureau pour les applications ou des raccourcis "
+"en les recherchant à partir du menu du <application>Lanceur d'applications Kickoff</application>, "
+"en faisant un clic-droit dessus et en cliquant sur <menuchoice><guimenu>Ajouter au bureau</guimenu></menuchoice>."
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "Right-clicking on the desktop presents a menu of actions related to the "
 "desktop area. For example, selecting <menuchoice><guimenu>Appearance "
 "Settings</guimenu></menuchoice> lets you change the desktop background and "
 "visual theme. You can also change the appearance of your desktop by clicking"
 " the <firstterm>plasma toolbox</firstterm> at the top right corner of the "
 "screen."
 msgstr ""
+"Faire un clic-droit sur le bureau vous fera apparaitre un menu  d'actions liées "
+"à la zone du bureau. Par exemple choisir <menuchoice><guimenu>Configurer : "
+"Bureau</guimenu></menuchoice> vous permettra de modifier votre fond d'écran "
+"et votre thème. Vous pouvez aussi modifier l'apparence de votre bureau en cliquant "
+"sur la <firstterm>boîte à outils plasma</firstterm> en haut à droite de l'écran."
 
 #. Tag: title
 #, no-c-format
 msgid "The KDE panel"
-msgstr ""
+msgstr "La barre des tâches de KDE"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "By default, the KDE panel extends the full width of the bottom part of the "
 "screen and contains the following controls, called "
 "<firstterm>widgets</firstterm>:"
 msgstr ""
+"Par défaut la barre des taches de KDE couvre toute la largeur de la partie inférieure "
+"de l'écran et contient les commandes suivantes appelées "
+"<firstterm>widgets</firstterm> :"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "the <application>Kickoff Application Launcher</application>. In Fedora "
 "&PRODVER;, this is represented by an icon of the Fedora \"Infinity\" logo. "
 "The <application>Kickoff Application Launcher</application> gives you access"
 " to software and storage locations on your computer, as well as allowing you"
 " to perform system-related tasks. It is described in more detail in <xref "
 "linkend=\"sect-User_Guide-The_KDE_panel-The_Kickoff_Application_Launcher\" "
 "/>."
 msgstr ""
+"<application>Lanceur d'applications Kickoff</application>. Avec Fedora "
+"&PRODVER;, il est représenté par une icône du logo Fedora « Infinity » ."
+"Le <application>Lanceur d'applications Kickoff</application> vous permet d'accéder "
+"aux applications et emplacements de stockage de votre ordinateur et d'effectuer des "
+"tâches liées à votre système. Il est décrit plus en détail dans <xref "
+"linkend=\"sect-User_Guide-The_KDE_panel-The_Kickoff_Application_Launcher\" "
+"/>."
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "the <application>Pager</application>, which allows you to switch between "
 "multiple <firstterm>desktops</firstterm> on your computer. Multiple desktops"
 " (or <firstterm>workspaces</firstterm>) have long been a feature of UNIX and"
 " Linux desktop environments. Each desktop provides a separate view with "
 "different applications running in it. Four desktops are configured by "
 "default. Clicking on one of the faded workspaces will change to that "
 "workspace, or you can switch between them by holding down the "
 "<keycap>Alt</keycap> key on your keyboard and pressing the "
 "<keycap>F1</keycap>, <keycap>F2</keycap>, <keycap>F3</keycap>, or "
 "<keycap>F4</keycap> key. To add more desktops, right-click on the "
 "<application>Pager</application>, then click <menuchoice><guimenu>Pager "
 "Settings</guimenu><guisubmenu>Configure "
 "Desktops...</guisubmenu></menuchoice>."
 msgstr ""
+"Le<application>Gestionnaire de bureaux</application> vous permet de naviguer "
+"parmi les différents <firstterm>bureaux</firstterm> de votre ordinateur. Les bureaux multiples "
+" (ou <firstterm>espaces de travail</firstterm>) ont longtemps été une caractéristique d'UNIX et "
+"de l'environnement de bureau Linux. Chaque bureau offre une vue différente avec "
+"les applications lancées dessus. Quatre bureaux sont configurés par défaut. "
+"Cliquez sur un des bureaux de l'icône vous fait changer de bureau, mais vous pouvez "
+"basculer de l'un à l'autre en appuyant sur la touche <keycap>CTRL</keycap> et sur les touches "
+"<keycap>F1</keycap>, <keycap>F2</keycap>, <keycap>F3</keycap> ou "
+"<keycap>F4</keycap>. Pour ajouter d'autres bureaux faites un clic-droit sur "
+"<application>Gestionnaire de bureaux</application>, puis sur <menuchoice><guimenu>Configurer : "
+"Gestionnaire de bureaux</guimenu><guisubmenu>Bureaux "
+"virtuels</guisubmenu></menuchoice>."
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "the <application>Task Manager</application>, which displays buttons for any "
 "applications that are running. Clicking on one of these buttons brings that "
 "application to the foreground of your current view."
 msgstr ""
+"Le <application>Gestionnaire de tâches</application>, qui affiche des boutons pour "
+"les applications qui s'exécutent. Cliquez sur un de ces boutons vous permet "
+"d'afficher cette application au premier plan de votre bureau courant."
 
 #. Tag: title
 #, no-c-format
 msgid ""
 "Use the key combination "
 "<keycombo><keycap>Alt</keycap><keycap>Tab</keycap></keycombo> to switch "
 "between open windows"
 msgstr ""
+"Utilisez la combinaison de touches "
+"<keycombo><keycap>Alt</keycap><keycap>Tab</keycap></keycombo> pour naviguer "
+"entre les différentes fenêtres."
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "Holding down the <keycap>Alt</keycap> key and pressing the "
 "<keycap>Tab</keycap> key will open a small window containing icons of all of"
 " your open windows. Repeatedly pressing the <keycap>Tab</keycap> key cycles "
 "through the icons. Release both keys on your selection to pull it to the "
 "front"
 msgstr ""
+"Appuyer sur la touche <keycap>Alt</keycap> et presser ensuite la  "
+"touche <keycap>Tab</keycap> vous ouvrira une petite fenêtre contenant"
+"des icônes de toutes vos fenêtres ouvertes. Appuyer plusieurs fois sur la touche <keycap>Tab</keycap>"
+"vous fera naviguer à travers ces icônes. Relâcher les deux touches sur votre sélection "
+"le fera apparaitre en premier plan."							
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "the <application>System Tray</application>, which shows "
 "<application>Klipper</application> (a clipboard tool) and displays status "
 "notifications, such as the status of network connections or remaining "
 "battery power."
 msgstr ""
+"La <application>Boîte à miniatures</application>, qui contient "
+"<application>Klipper</application> (le presse papier) et affiche des notifications "
+"d'état, tels que l'état des connexions réseau ou la charge restante de la batterie."
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "a clock. Click on the clock to see a calendar, or right-click on it to "
 "change the way that the panel displays the time and date."
 msgstr ""
+"une horloge. Cliquez sur l'horloge pour afficher un calendrier ou faites un clic-droit dessus "
+"pour modifier la façon dont le tableau de bord affiche la date et l'heure."
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "the <firstterm>plasma toolbox</firstterm> for the panel. Clicking here "
 "allows you to change the size and proportions of the panel, and to re-"
 "arrange the order of the widgets that it displays."
 msgstr ""
+"la <firstterm>boîte à outils plasma</firstterm> pour le tableau de bord. Cliquez ici "
+"vous permettra de modifier la taille et les proportions du tableau de bord "
+"et de réorganiser la position des widgets qu'il affiche."
 
 #. Tag: title
 #, no-c-format
 msgid "The Kickoff Application Launcher"
-msgstr ""
+msgstr "Le lanceur d'applications Kickoff"
 
 #. Tag: para
 #, no-c-format
 msgid "The <application>Kickoff Application Launcher</application> contains:"
-msgstr ""
+msgstr "Le <application>Lanceur d'applications Kickoff</application> contient : "
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "<guilabel>Favorites</guilabel> &ndash; your favorite applications and "
 "places. Right click on an application or folder icon to add it to this list."
 " The initial list consists of:"
 msgstr ""
+"<guilabel>Favoris</guilabel> &ndash; vos applications préférées et leur "
+"emplacements. Faites un clic-droit sur l'icône d'une application ou d'un dossier "
+"pour l'ajouter à la liste. La liste par défaut contient : "
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "<guilabel>Web Browser</guilabel> &ndash; "
 "<application>Konqueror</application>, the default web browser installed with"
 " KDE."
 msgstr ""
+"<guilabel>Navigateur Web</guilabel> &ndash; "
+"<application>Konqueror</application>, le navigateur par défaut installé avec "
+"KDE."
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "<guilabel>System Settings</guilabel>, which allows you to personalize your "
 "computer."
 msgstr ""
+"<guilabel>Configuration du système</guilabel>, qui vous permet de personnaliser votre"
+"ordinateur."
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "<guilabel>File Manager</guilabel>, which allows you to browse files and "
 "folders on your computer. The default file manager installed with KDE is "
 "<application>Dolphin</application>"
 msgstr ""
+"<guilabel>Gestionnaire de fichiers</guilabel>, qui vous permet de parcourir les fichiers "
+"et dossiers de votre ordinateur. Le gestionnaire de fichiers installé avec KDE est "
+"<application>Dolphin</application>"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "<guilabel>Applications</guilabel> &ndash; the applications installed on your"
 " computer, sorted into the following groups:"
 msgstr ""
+"<guilabel>Applications</guilabel> &ndash; les applications installées sur votre "
+"ordinateur, réparties dans les groupes suivants : "
 
 #. Tag: para
 #, no-c-format
 msgid "<guilabel>Administration</guilabel>"
-msgstr ""
+msgstr "<guilabel>Administration</guilabel>"
 
 #. Tag: para
 #, no-c-format
 msgid "<guilabel>Development</guilabel>"
-msgstr ""
+msgstr "<guilabel>Développement</guilabel>"
 
 #. Tag: para
 #, no-c-format
 msgid "<guilabel>Education</guilabel>"
-msgstr ""
+msgstr "<guilabel>Education</guilabel>"
 
 #. Tag: para
 #, no-c-format
 msgid "<guilabel>Games</guilabel>"
-msgstr ""
+msgstr "<guilabel>Jeux</guilabel>"
 
 #. Tag: para
 #, no-c-format
 msgid "<guilabel>Graphics</guilabel>"
-msgstr ""
+msgstr "<guilabel>Graphisme</guilabel"
 
 #. Tag: para
 #, no-c-format
 msgid "<guilabel>Internet</guilabel>"
-msgstr ""
+msgstr "<guilabel>Internet</guilabel>"
 
 #. Tag: para
 #, no-c-format
 msgid "<guilabel>Multimedia</guilabel>"
-msgstr ""
+msgstr "<guilabel>Multimédia</guilabel>"
 
 #. Tag: para
 #, no-c-format
 msgid "<guilabel>Office</guilabel>"
-msgstr ""
+msgstr "<guilabel>Bureautique</guilabel>"
 
 #. Tag: para
 #, no-c-format
 msgid "<guilabel>Settings</guilabel>"
-msgstr ""
+msgstr "<guilabel>Configuration</guilabel>"
 
 #. Tag: para
 #, no-c-format
 msgid "<guilabel>System</guilabel>"
-msgstr ""
+msgstr "<guilabel>Système</guilabel>"
 
 #. Tag: para
 #, no-c-format
 msgid "<guilabel>Utilities</guilabel>"
-msgstr ""
+msgstr "<guilabel>Utilitaires</guilabel>"
 
 #. Tag: para
 #, no-c-format
 msgid "<guilabel>Find Files/Folders</guilabel>"
-msgstr ""
+msgstr "<guilabel>Recherche de fichiers / dossiers</guilabel>"
 
 #. Tag: para
 #, no-c-format
 msgid "<guilabel>Help</guilabel>"
-msgstr ""
+msgstr "<guilabel>Aide</guilabel>"
 
 #. Tag: para
 #, no-c-format
 msgid "<guilabel>Personal Files</guilabel>"
-msgstr ""
+msgstr "<guilabel>Fichiers personnels</guilabel>"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "<guilabel>Computer</guilabel> &ndash; information about your computer, and "
 "links to important places on it."
 msgstr ""
+"<guilabel>Poste de travail</guilabel> &ndash; des informations sur votre ordinateur et "
+"d'importants liens sont placés ici."
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "<guilabel>Run Command</guilabel>, which allows you to launch a piece of "
 "software by typing its name."
 msgstr ""
+"<guilabel>Exécuter une commande...</guilabel>, qui vous permet de lancer certains "
+"logiciels  en inscrivant leurs noms."
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "<guilabel>Home</guilabel>, your <filename>Home</filename> folder, the "
 "default storage location for your documents and media files."
 msgstr ""
+"<guilabel>Dossier personnel</guilabel>, votre propre <filename>Dossier personnel</filename> "
+"l'emplacement de stockage par défaut pour vos documents et fichiers multimédia."
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "<guilabel>Network</guilabel>, which displays information about your network "
 "connections and allows you to change network settings."
 msgstr ""
+"<guilabel>Réseau</guilabel>, qui affiche des informations sur vos connexions réseau "
+"et vous permet de modifier les paramètres réseau."
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "<guilabel>Root</guilabel>, the folder that contains every other file and "
 "folder in your file system."
 msgstr ""
+"<guilabel>Racine</guilabel>, le dossier qui contient tous les fichiers "
+"et autres dossiers dans votre système de fichiers."
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "Do not move or delete items from this folder unless you are certain that you"
 " understand what you are doing. If you move or delete items within this "
 "folder, you might damage your installation of Fedora to the point where it "
 "can no longer function."
 msgstr ""
+"Sauf si vous savez ce que vous faites, ne déplacez ni supprimez les éléments "
+"de ce dossier. Si vous déplacez ou supprimer des éléments de ce dossier, "
+"vous pourriez endommager votre installation de Fedora, à tel point qu'elle ne pourrai "
+"plus fonctionner."
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "<guilabel>Trash</guilabel>, which holds files and folders that you have "
 "deleted from your system."
 msgstr ""
+"<guilabel>Corbeille</guilabel>, qui contient les fichiers et dossiers que vous "
+"avez supprimés de votre système."
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "<guilabel>Recently Used</guilabel> &ndash; applications and documents that "
 "you used recently."
 msgstr ""
+"<guilabel>Utilisé récemment</guilabel> &ndash; les applications et documents "
+"que vous avez utilisés récemment."
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "<guilabel>Leave</guilabel> &ndash; options to finish working with your "
 "computer."
 msgstr ""
+"<guilabel>Quitter</guilabel> &ndash; options pour finir de travailler avec votre "
+"ordinateur."
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "<guilabel>Logout</guilabel> ends your session, but leaves the computer "
 "running."
 msgstr ""
+"<guilabel>Déconnexion</guilabel> met fin à votre session, mais laisse votre "
+"ordinateur en fonction."
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "<guilabel>Lock</guilabel> leaves you logged in, but blanks the screen and "
 "prevents interaction with the computer until you type in your password."
 msgstr ""
+"<guilabel>Verrouiller</guilabel> vous laisse connecté, mais éteint l'écran et "
+"empêche l'utilisation de l'ordinateur jusqu’à ce que vous tapiez votre mot de passe."
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "<guilabel>Switch User</guilabel> leaves you logged in, but lets another user"
 " log in to the computer."
 msgstr ""
+"<guilabel>Changer d'utilisateur</guilabel> vous laisse connecté, mais permet à "
+"d'autres utilisateurs de se connecter."
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "<guilabel>Suspend to Disk</guilabel> pauses your computer without logging "
 "out."
 msgstr ""
+"<guilabel>Hiberner</guilabel> mise en veille de votre ordinateur sans vous déconnecter."
 
 #. Tag: para
 #, no-c-format
 msgid "<guilabel>Restart</guilabel> restarts your computer."
-msgstr ""
+msgstr "<guilabel>Redémarrer</guilabel> redémarre votre ordinateur."
 
 #. Tag: para
 #, no-c-format
 msgid "<guilabel>Shutdown</guilabel> turns off your computer."
-msgstr ""
+msgstr "<guilabel>Eteindre</guilabel> arrête votre ordinateur."
 
 