--- fedora-release-notes_Overview_fr.po	2011-04-21 18:10:16.193140428 +0200
+++ fedora-release-notes_Overview_fr1.po	2011-04-26 11:54:06.446091581 +0200
@@ -1,15 +1,15 @@
 # AUTHOR <EMAIL@ADDRESS>, YEAR.
 # 
 msgid ""
 msgstr ""
 "Project-Id-Version: Fedora Release Notes\n"
 "POT-Creation-Date: 2011-04-12T01:34:48\n"
-"PO-Revision-Date: 2011-04-13 01:36+0000\n"
-"Last-Translator: neb <nick@bebout.net>\n"
+"PO-Revision-Date: 2011-04-26 11:48+0100\n"
+"Last-Translator: Bribanick dominique <chepioq@gmail.com>\n"
 "Language-Team: French <trans-fr@lists.fedoraproject.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Language: fr\n"
 "Plural-Forms: nplurals=2; plural=(n > 1)\n"
 
@@ -17,110 +17,133 @@
 #, no-c-format
 msgid "Overview"
 msgstr "Aperçu"
 
 #. Tag: indexterm
 #, no-c-format
 msgid "<primary>GNOME</primary>"
-msgstr ""
+msgstr "<primary>GNOME</primary>"
 
 #. Tag: indexterm
 #, no-c-format
 msgid "<primary>KDE</primary>"
-msgstr ""
+msgstr "<primary>KDE</primary>"
 
 #. Tag: indexterm
 #, no-c-format
 msgid "<primary>XFCE</primary>"
-msgstr ""
+msgstr "<primary>XFCE</primary>"
 
 #. Tag: indexterm
 #, no-c-format
 msgid "<primary>Virtualization</primary>"
-msgstr ""
+msgstr "<primary>Virtualisation</primary>"
 
 #. Tag: indexterm
 #, no-c-format
 msgid "<primary>Spice</primary>"
-msgstr ""
+msgstr "<primary>Spice</primary>"
 
 #. Tag: indexterm
 #, no-c-format
 msgid "<primary>spice</primary>"
-msgstr ""
+msgstr "<primary>spice</primary>"
 
 #. Tag: indexterm
 #, no-c-format
 msgid "<primary>systemd</primary>"
-msgstr ""
+msgstr "<primary>systemd</primary>"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "As always, Fedora continues to develop (<ulink "
 "url=\"http://www.fedoraproject.org/wiki/Red_Hat_contributions\">RedHat "
 "contributions</ulink>) and integrate the latest free and open source "
 "software (<ulink "
 "url=\"http://fedoraproject.org/wiki/Releases/15/FeatureList\">Fedora 15 "
 "Features)</ulink>. The following sections provide a brief overview of major "
 "changes from the last release of Fedora."
 msgstr ""
+"Comme toujours, Fedora continue de se développer (<ulink "
+"url=\"http://www.fedoraproject.org/wiki/Red_Hat_contributions\">RedHat "
+"contributions</ulink>)et d'intégrer les tous derniers logiciels libres et "
+"open source (<ulink "
+"url=\"http://fedoraproject.org/wiki/Releases/15/FeatureList\">Fedora 15 "
+"Features)</ulink>. Les sections suivantes fournissent un bref aperçu des principaux "
+"changements depuis la dernière version de Fedora."
 
 #. Tag: para
 #, no-c-format
 msgid "The following are major features for Fedora 15:"
-msgstr ""
+msgstr "Ce qui suit sont les avancées majeures de Fedora 15 :"
 
 #. Tag: para
 #, no-c-format
 msgid "GNOME 3 including the new GNOME 3 shell"
-msgstr ""
+msgstr "GNOME 3, y compris le nouveau bureau GNOME 3"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "KDE 4.6 with the improved Plasma workspace, enhanced core applications, and "
 "greater memory efficiency."
 msgstr ""
+"KDE 4.6 avec une amélioration de l'espace de travail plasma, des applications de base renforcées et "
+"une plus grande efficacité de la mémoire."
 
 #. Tag: para
 #, no-c-format
 msgid "XFCE 4.8 with a new panel, Thunar enhancements and more."
-msgstr ""
+msgstr "XFCE 4.8 avec un nouveau tableau de bord, améliorations de Thunar et plus encore."
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "Virtualization improvements including Spice support in virt-manager and "
 "support for Xen hosts."
 msgstr ""
+"Amélioration de la virtualisation comprenant le support de Spice dans virt-manager "
+"et le support pour les hôtes Xen."
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "Throughout this document, we differentiate Spice, the new virtualization UI,"
 " from spice, the legacy circuit modelling application, by the use of an "
 "upper case S in the former."
 msgstr ""
+"Tout au long de ce document, nous différencierons Spice, la nouvelle interface de virtualisation,"
+" de spice, l'application de modélisation de circuits, par l'utilisation du S majuscule "
+"pour le premier cité."
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "Better compression of live images allowing more applications to be provided "
 "on a CD."
 msgstr ""
+"Meilleure compression des images des lives-cd permettant de fournir plus "
+"d'applications."
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "System and session management via systemd, providing more consistent "
 "configuration and improved boot performance."
 msgstr ""
+"Système de gestion et de session via systemd, fournissant une configuration "
+"plus cohérente et un démarrage amélioré."
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "For more details about other features that are included in Fedora 15 refer "
 "to their individual wiki pages that detail feature goals and progress: "
 "<ulink url=\"http://fedoraproject.org/wiki/Releases/15/FeatureList\"> "
 "http://fedoraproject.org/wiki/Releases/15/FeatureList</ulink>."
 msgstr ""
+"Pour les autres fonctionnalités qui seront incluses dans Fedora 15 reportez-vous "
+"sur leurs page wiki pour plus de détails sur leurs objectifs de fonctionnalité "
+"et axes de progrès : "
+"<ulink url=\"http://fedoraproject.org/wiki/Releases/15/FeatureList\"> "
+"http://fedoraproject.org/wiki/Releases/15/FeatureList</ulink>."