--- fedora-deployment-guide_Services_and_Daemons_fr1.po	2011-09-18 18:18:55.000000000 +0200
+++ fedora-deployment-guide_Services_and_Daemons_fr2.po	2011-09-18 19:49:11.739466567 +0200
@@ -103,15 +103,15 @@
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "To allow you to configure which services are started at boot time, &MAJOROS;"
 " is shipped with the <application>systemctl</application> command line tool."
 msgstr ""
-"Pour vous permettre de configurer les services qui sont lancés au démarrage,  &MAJOROS;"
+"Pour vous permettre de configurer les services qui sont lancés au démarrage, &MAJOROS;"
 " est livré avec l'outil en ligne de commande <application>systemctl</application>."
 
 #. Tag: title
 #, no-c-format
 msgid "Do not use the ntsysv and chkconfig utilities"
 msgstr "N'utilisez pas les utilitaires ntsysv et chkconfig"
 
@@ -141,16 +141,16 @@
 "To ensure optimal performance on POWER architecture, it is recommended that "
 "the <systemitem class=\"service\">irqbalance</systemitem> service is "
 "enabled. In most cases, this service is installed and configured to run "
 "during the &MAJOROSVER; installation. To verify that <systemitem "
 "class=\"service\">irqbalance</systemitem> is running, type the following at "
 "a shell prompt:"
 msgstr ""
-"Pour garantir des performances optimales sur une architecture POWER, il est recommandé que "
-"le service <systemitem class=\"service\">irqbalance</systemitem> soit activé. "
+"Pour garantir des performances optimales sur une architecture POWER, il est recommandé d'activer "
+"le service <systemitem class=\"service\">irqbalance</systemitem>. "
 "Dans la plupart des cas ce service est installé et configuré pour démarrer "
 "au cours de &MAJOROSVER; l'installation. pour vérifier si le service "
 "<systemitem class=\"service\">irqbalance</systemitem> est lancé, saisissez ce qui "
 "suit dans une console : "
 
 #. Tag: screen
 #, no-c-format
@@ -165,15 +165,15 @@
 #. Tag: para
 #, no-c-format
 msgid ""
 "To configure a service to be automatically started at boot time, use the "
 "<command>systemctl</command> command in the following form:"
 msgstr ""
 "Pour lancer un service automatiquement au démarrage, utilisez la commande "
-"<command>systemctl</command>de cette façon : "
+"<command>systemctl</command> de cette façon : "
 
 #. Tag: screen
 #, no-c-format
 msgid ""
 "<command>systemctl</command> <option>enable</option> "
 "<option><replaceable>service_name</replaceable>.service</option>"
 msgstr ""
@@ -280,24 +280,24 @@
 #. Tag: indexterm
 #, no-c-format
 msgid ""
 "<primary>services configuration</primary> <secondary> "
 "<command>ssystemctl</command> </secondary>"
 msgstr ""
 "<primary>configuration des services</primary> <secondary> "
-"<command>ssystemctl</command> </secondary>"
+"<command>systemctl</command> </secondary>"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "The <application>systemctl</application> utility also allows you to "
 "determine the status of a particular service, as well as to start, stop, or "
 "restart a service."
 msgstr ""
-"L'utilitaire <application>systemctl</application> vous permet aussi de connaitre "
+"L'utilitaire <application>systemctl</application> vous permet aussi de connaître "
 "le statut d'un service particulier, ainsi que de démarrer, arrêter ou "
 "redémarrer un service."
 
 #. Tag: title
 #, no-c-format
 msgid "Do not use the service utility"
 msgstr "Ne pas utiliser l'utilitaire de service"
@@ -323,33 +323,34 @@
 #. Tag: para
 #, no-c-format
 msgid ""
 "To determine the status of a particular service, use the "
 "<command>systemctl</command> command in the following form:"
 msgstr ""
 "Pour connaitre le statut d'un service particulier, utilisez la "
-"commande command>systemctl</command> de la façon suivante : "
+"commande <command>systemctl</command> de la façon suivante : "
 
 #. Tag: screen
 #, no-c-format
 msgid ""
 "<command>systemctl</command> <option>status</option> "
 "<option><replaceable>service_name</replaceable>.service</option>"
-m"<command>systemctl</command> <option>status</option> "
+msgstr ""
+"<command>systemctl</command> <option>status</option> "
 "<option><replaceable>nom_du_service</replaceable>.service</option>"sgstr ""
 
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "This command provides detailed information on the service's status. However,"
 " if you merely need to verify that a service is running, you can use the "
 "<command>systemctl</command> command in the following form instead:"
 msgstr ""
-"cette commnde vous fournit des informations détaillées sur le statut des services. "
+"Cette commande vous fournit des informations détaillées sur le statut des services. "
 "Cependant, si vous devez simplement vérifier que le service est lancé, vous pouvez utiliser "
 "la commande <command>systemctl</command> de la façon suivante : "
 
 #. Tag: screen
 #, no-c-format
 msgid ""
 "<command>systemctl</command> <option>is-active</option> "
@@ -448,15 +449,15 @@
 #. Tag: para
 #, no-c-format
 msgid ""
 "This command provides a tabular output with each line consisting of the "
 "following columns:"
 msgstr ""
 "Cette commande fournit une sortie sous forme de tableau dont chaque ligne "
-"est composée des colonnes suivantes:"
+"est composée des colonnes suivantes : "
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "<computeroutput>UNIT</computeroutput> — A <systemitem "
 "class=\"service\">systemd</systemitem> unit name. In this case, a service "
 "name."
@@ -468,15 +469,15 @@
 #. Tag: para
 #, no-c-format
 msgid ""
 "<computeroutput>LOAD</computeroutput> — Information whether the <systemitem "
 "class=\"service\">systemd</systemitem> unit was properly loaded."
 msgstr ""
 "<computeroutput>LOAD</computeroutput> — Informe si l'unité <systemitem "
-"class=\"service\">systemd</systemitem> a été correctement lancé."
+"class=\"service\">systemd</systemitem> a été correctement lancée."
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "<computeroutput>ACTIVE</computeroutput> — A high-level unit activation "
 "state."
 msgstr ""
@@ -631,15 +632,15 @@
 #. Tag: para
 #, no-c-format
 msgid ""
 "This will stop the service in the current session. To disable starting the "
 "service at boot time, refer to <xref linkend=\"s3-services-configuration-"
 "enabling\" />."
 msgstr ""
-"Cela arrêtera le service de la session courante. Pour désactiver le lancement"
+"Cela arrêtera le service de la session courante. Pour désactiver le lancement "
 "du service au démarrage, veuillez consulter <xref linkend=\"s3-services-configuration-"
 "enabling\" />."
 
 #. Tag: title
 #, no-c-format
 msgid "Stopping the telnet service"
 msgstr "Arrêt du service telnet"
@@ -649,27 +650,27 @@
 msgid ""
 "<xref linkend=\"exam-services-configuration-disabling\" /> illustrated how "
 "to disable starting the <systemitem class=\"service\">telnet</systemitem> "
 "service at boot time. You can stop the service immediately by running the "
 "following command as <systemitem class=\"username\">root</systemitem>:"
 msgstr ""
 "<xref linkend=\"exam-services-configuration-disabling\" /> vous indique comment "
-"désavtiver le lancement du service <systemitem class=\"service\">telnet</systemitem> "
+"désactiver le lancement du service <systemitem class=\"service\">telnet</systemitem> "
 "au démarrage. Vous pouvez arrêtez le service immédiatement en saisissant la commande "
 "suivante en tant que <systemitem class=\"username\">root</systemitem> : "
 
 #. Tag: screen
 #, no-c-format
 msgid "~]# <command>systemctl stop telnet.service</command>"
 msgstr "~]# <command>systemctl stop telnet.service</command>"
 
 #. Tag: title
 #, no-c-format
 msgid "Restarting the Service"
-msgstr "Redémmarer un service"
+msgstr "Redémarrer un service"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "To restart a service, use the <command>systemctl</command> command in the "
 "following form:"
 msgstr ""