--- iok.trunk.fr.po	2010-03-14 10:43:02.175702537 +0100
+++ iok.trunk.fr.1.po	2010-03-14 10:36:40.176827478 +0100
@@ -1,150 +1,151 @@
-# SOME DESCRIPTIVE TITLE.
 # Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
 # This file is distributed under the same license as the PACKAGE package.
-# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
 #
-#, fuzzy
+# Sebastien Natroll <sebastien@fedoraproject.org>, 2010.
 msgid ""
 msgstr ""
-"Project-Id-Version: PACKAGE VERSION\n"
+"Project-Id-Version: \n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2010-02-09 11:52+0530\n"
-"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
-"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
-"Language-Team: LANGUAGE <LL@li.org>\n"
+"PO-Revision-Date: 2010-03-14 10:35+0100\n"
+"Last-Translator: Sebastien Natroll <sebastien@fedoraproject.org>\n"
+"Language-Team: French <trans-fr.lists.fedoraproject.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"X-Generator: Lokalize 1.0\n"
+"Plural-Forms: nplurals=2; plural=(n > 1);\n"
 
 #: ../iok.desktop.in.h:1
 msgid "Enter Indic characters with a virtual keyboard"
-msgstr ""
+msgstr "Entrer les caractères indiqués avec un clavier virtuel"
 
 #: ../iok.desktop.in.h:2
 msgid "Indic Onscreen Keyboard"
-msgstr ""
+msgstr "Clavier indiqué à l'écran"
 
 #: ../src/interface.c:2473
 msgid "Select the language in which you want to write"
-msgstr ""
+msgstr "Sélectionner la langue dans laquelle vous voulez écrire"
 
 #: ../src/interface.c:2475 ../src/interface.c:9866
 msgid "Change to English Keyboard"
-msgstr ""
+msgstr "Basculer en clavier anglais"
 
 #: ../src/interface.c:2548
 msgid "ReassignKey"
-msgstr ""
+msgstr "Réassigner la touche"
 
 #: ../src/interface.c:2558
 msgid "Reassign Keyvalue of Key"
-msgstr ""
+msgstr "Réassigner la valeur de la touche"
 
 #: ../src/interface.c:2569
 msgid "to another Key"
-msgstr ""
+msgstr "à une autre touche"
 
 #. Don't need to show menus
 #. Create the menu items
 #: ../src/interface.c:2584 ../src/interface.c:9363
 msgid "Reassign"
-msgstr ""
+msgstr "Réassigner"
 
 #: ../src/interface.c:2588
 msgid "Cancel"
-msgstr ""
+msgstr "Annuler"
 
 #: ../src/interface.c:2845
 msgid "Open Keymap File"
-msgstr ""
+msgstr "Ouvrir un fichier d'agencement"
 
 #: ../src/interface.c:2895
 msgid "Write to Keymap File"
-msgstr ""
+msgstr "Enregistrer dans le fichier d'agencement"
 
 #. Don't need to show menus
 #. Create the menu items
 #: ../src/interface.c:9321
 msgid "Open"
-msgstr ""
+msgstr "Ouvrir"
 
 #: ../src/interface.c:9323
 msgid "Open a Keymap that is not listed in a combobox"
-msgstr ""
+msgstr "Ouvrir un agencement qui n'est pas listé dans un combobox"
 
 #: ../src/interface.c:9325
 msgid "Save"
-msgstr ""
+msgstr "Sauvegarder"
 
 #: ../src/interface.c:9327
 msgid "Save current state of loaded keymap to a new keymap"
 msgstr ""
+"Sauvegarder l'état courant de l'agencement chargé dans un nouvel agencement"
 
 #: ../src/interface.c:9330
 msgid "Quit"
-msgstr ""
+msgstr "Quitter"
 
 #: ../src/interface.c:9332
 msgid "Close iok application"
-msgstr ""
+msgstr "Fermer l'application iok"
 
 #: ../src/interface.c:9365
 msgid "Reassign key value of some key to some other key"
-msgstr ""
+msgstr "Réassigner la valeur d'une certaine touche à une autre"
 
 #: ../src/interface.c:9367
 msgid "Swap"
-msgstr ""
+msgstr "Échanger"
 
 #: ../src/interface.c:9369
 msgid "Swap key values between any 2 keys in loaded keymap"
-msgstr ""
+msgstr "Échanger les valeurs entre 2 touches dans l'agencement chargé"
 
 #. Don't need to show menus
 #. Create the menu items
 #: ../src/interface.c:9389
 msgid "About"
-msgstr ""
+msgstr "À propos"
 
 #: ../src/interface.c:9391
 msgid "About iok application"
-msgstr ""
+msgstr "À propos de l'application iok"
 
 #: ../src/interface.c:9407
 msgid "Keymap"
-msgstr ""
+msgstr "Agencement"
 
 #: ../src/interface.c:9410
 msgid "Keys"
-msgstr ""
+msgstr "Touches"
 
 #: ../src/interface.c:9413
 msgid "Help"
-msgstr ""
+msgstr "Aide"
 
 #: ../src/interface.c:9596
 msgid "Backspace"
-msgstr ""
+msgstr "Backspace"
 
 #: ../src/interface.c:9612
 msgid "Tab"
-msgstr ""
+msgstr "Tab"
 
 #: ../src/interface.c:9704
 msgid "Caps"
-msgstr ""
+msgstr "Maj"
 
 #: ../src/interface.c:9775
 msgid "Enter"
-msgstr ""
+msgstr "Entrée"
 
 #: ../src/interface.c:9790 ../src/interface.c:9855
 msgid "Shift"
-msgstr ""
+msgstr "Shift"
 
 #: ../src/interface.c:9869
 msgid "Space"
-msgstr ""
+msgstr "Espace"
 
 #: ../src/interface.c:9876
 msgid ""
@@ -152,21 +153,25 @@
 "in order as inscript then user defined then xkb and then any keymaps opened "
 "that are not default listed"
 msgstr ""
+"Sélectionner la langue dans laquelle vous souhaitez écrire. Cette liste "
+"contient les agencements inscript, ceux définis par l'utilisateur, xkb, et "
+"les agencements ouverts non listés par défault."
 
 #. TRANSLATORS: Replace this string with your names, one name per line.
 #: ../src/interface.c:11472
 msgid "translator-credits"
-msgstr ""
+msgstr "Sébastien Natroll <sebastien@fedoraproject.org>, 2010."
 
 #: ../src/interface.c:11478
 msgid "iok"
-msgstr ""
+msgstr "iok"
 
 #: ../src/interface.c:11479
 msgid "GPLv2 or later\n"
-msgstr ""
+msgstr "GPLv2 ou postérieur\n"
 
 #: ../src/support.c:90 ../src/support.c:114
 #, c-format
 msgid "Couldn't find pixmap file: %s"
-msgstr ""
+msgstr "Impossible de trouver le fichier pixmap: %s"
+