--- fedora-deployment-guide_Services_and_Daemons_fr.po	2011-09-10 08:43:49.518149397 +0200
+++ fedora-deployment-guide_Services_and_Daemons_fr1.po	2011-09-18 18:18:55.000000000 +0200
@@ -1,596 +1,753 @@
 # AUTHOR <EMAIL@ADDRESS>, YEAR.
 # 
 # Translators:
 msgid ""
 msgstr ""
 "Project-Id-Version: Fedora Deployment Guide\n"
 "POT-Creation-Date: 2011-08-30T22:44:24\n"
-"PO-Revision-Date: 2011-08-30 14:34+0000\n"
-"Last-Translator: pmkovar <pknbe@volny.cz>\n"
+"PO-Revision-Date: 2011-09-18 18:18+0100\n"
+"Last-Translator: Bribanick dominique <chepioq@gmail.com>\n"
 "Language-Team: French <trans-fr@lists.fedoraproject.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Language: fr\n"
 "Plural-Forms: nplurals=2; plural=(n > 1)\n"
 
 #. Tag: title
 #, no-c-format
 msgid "Services and Daemons"
-msgstr ""
+msgstr "Services et démons"
 
 #. Tag: indexterm
 #, no-c-format
 msgid "<primary>services configuration</primary>"
-msgstr ""
+msgstr "<primary>configuration des services</primary>"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "Maintaining security on your system is extremely important, and one approach"
 " for this task is to manage access to system services carefully. Your system"
 " may need to provide open access to particular services (for example, "
 "<systemitem class=\"service\">httpd</systemitem> if you are running a web "
 "server). However, if you do not need to provide a service, you should turn "
 "it off to minimize your exposure to possible bug exploits."
 msgstr ""
+"Maintenir la sécurité de votre système est extrêmement important, et une des manières "
+"de le faire est de gérer prudemment l'accès au système par les services. Votre système "
+"peut avoir besoin d'un accès complet à un service particulier (par exemple "
+"<systemitem class=\"service\">httpd</systemitem> si vous utilisez un serveur "
+"web). Cependant, si vous n'avez pas besoin d'utiliser un service, vous devriez "
+"le désactiver pour diminuer votre exposition à une possible exploitation d'anomalies."
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "This chapter covers the configuration of the services to be run when a "
 "system is started, and provides information on how to start, stop, and "
 "restart the services on the command line using the "
 "<application>systemctl</application> utility."
 msgstr ""
+"Ce chapitre recouvre la configuration des services devant être lancés quand le système "
+"démarre, et fournit des informations sur la façon de démarrer, arrêter et redémarrer "
+"les services en ligne de commande en utilisant l'utilitaire "
+"<application>systemctl</application>."
 
 #. Tag: title
 #, no-c-format
 msgid "Keep the system secure"
-msgstr ""
+msgstr "Gardez le système sécurisé"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "When you allow access for new services, always remember that both the "
 "firewall and <application>SELinux</application> need to be configured as "
 "well. One of the most common mistakes committed when configuring a new "
 "service is neglecting to implement the necessary firewall configuration and "
 "SELinux policies to allow access for it. Refer to the &MAJOROS; <citetitle "
 "pubwork=\"book\">Security Guide</citetitle> (see <xref linkend=\"s1"
 "-services-additional-resources\" />) for more information."
 msgstr ""
+"Quand vous autorisez l'accès à de nouveaux services, souvenez-vous toujours que "
+"le pare-feu et <application>SELinux</application> doivent être configurés. "
+"Une des erreurs les plus courantes quand vous configurez un nouveau service est de "
+"négliger la configuration du pare-feu et des politiques de SELinux pour lui "
+"autoriser son accès. Pour plus d'informations, veuillez consulter &MAJOROS; <citetitle "
+"pubwork=\"book\">Security Guide</citetitle> (voir <xref linkend=\"s1"
+"-services-additional-resources\" />)."
 
 #. Tag: title
 #, no-c-format
 msgid "Configuring Services"
-msgstr ""
+msgstr "Configuration des services"
 
 #. Tag: indexterm
 #, no-c-format
 msgid ""
 "<primary> <command>systemctl</command> </primary> <see>services "
 "configuration</see>"
 msgstr ""
+"<primary> <command>systemctl</command> </primary> <see>configuration "
+"des services</see>"
 
 #. Tag: indexterm
 #, no-c-format
 msgid ""
 "<primary>services configuration</primary> <secondary> "
 "<command>systemctl</command> </secondary>"
 msgstr ""
+"<primary>configuration des services</primary> <secondary> "
+"<command>systemctl</command> </secondary>"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "To allow you to configure which services are started at boot time, &MAJOROS;"
 " is shipped with the <application>systemctl</application> command line tool."
 msgstr ""
+"Pour vous permettre de configurer les services qui sont lancés au démarrage,  &MAJOROS;"
+" est livré avec l'outil en ligne de commande <application>systemctl</application>."
 
 #. Tag: title
 #, no-c-format
 msgid "Do not use the ntsysv and chkconfig utilities"
-msgstr ""
+msgstr "N'utilisez pas les utilitaires ntsysv et chkconfig"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "Although it is still possible to use the <application>ntsysv</application> "
 "and <application>chkconfig</application> utilities to manage services that "
 "have init scripts installed in the <filename "
 "class=\"directory\">/etc/rc.d/init.d/</filename> directory, it is advised "
 "that you use the <application>systemctl</application> utility."
 msgstr ""
+"Bien qu'il soit encore possible d'utiliser les utilitaires <application>ntsysv</application> "
+"et <application>chkconfig</application> pour gérer les services qui ont des "
+"scripts d'initialisation installés dans le répertoire <filename "
+"class=\"directory\">/etc/rc.d/init.d/</filename>, il vous est conseillé "
+"d'utiliser l'utilitaire <application>systemctl</application>."
 
 #. Tag: title
 #, no-c-format
 msgid "Enabling the irqbalance service"
-msgstr ""
+msgstr "Activation du service irqbalance"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "To ensure optimal performance on POWER architecture, it is recommended that "
 "the <systemitem class=\"service\">irqbalance</systemitem> service is "
 "enabled. In most cases, this service is installed and configured to run "
 "during the &MAJOROSVER; installation. To verify that <systemitem "
 "class=\"service\">irqbalance</systemitem> is running, type the following at "
 "a shell prompt:"
 msgstr ""
+"Pour garantir des performances optimales sur une architecture POWER, il est recommandé que "
+"le service <systemitem class=\"service\">irqbalance</systemitem> soit activé. "
+"Dans la plupart des cas ce service est installé et configuré pour démarrer "
+"au cours de &MAJOROSVER; l'installation. pour vérifier si le service "
+"<systemitem class=\"service\">irqbalance</systemitem> est lancé, saisissez ce qui "
+"suit dans une console : "
 
 #. Tag: screen
 #, no-c-format
 msgid "<command>systemctl status irqbalance.service</command>"
-msgstr ""
+msgstr "<command>systemctl status irqbalance.service</command>"
 
 #. Tag: title
 #, no-c-format
 msgid "Enabling the Service"
-msgstr ""
+msgstr "Activation du service"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "To configure a service to be automatically started at boot time, use the "
 "<command>systemctl</command> command in the following form:"
 msgstr ""
+"Pour lancer un service automatiquement au démarrage, utilisez la commande "
+"<command>systemctl</command>de cette façon : "
 
 #. Tag: screen
 #, no-c-format
 msgid ""
 "<command>systemctl</command> <option>enable</option> "
 "<option><replaceable>service_name</replaceable>.service</option>"
 msgstr ""
+"<command>systemctl</command> <option>enable</option> "
+"<option><replaceable>nom_du_service</replaceable>.service</option>"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "The service will be started the next time you boot the system. For "
 "information on how to start the service immediately, refer to <xref "
 "linkend=\"s3-services-running-running\" />."
 msgstr ""
+"Le service sera lancé la prochaine fois que vous démarrerez le système. "
+"Pour savoir comment lancer un service immédiatement, veuillez consulter <xref "
+"linkend=\"s3-services-running-running\" />."
 
 #. Tag: title
 #, no-c-format
 msgid "Enabling the httpd service"
-msgstr ""
+msgstr "Activation du service httpd"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "Imagine you want to run the Apache HTTP Server on your system. Provided that"
 " you have the <package>httpd</package> package installed, you can enable the"
 " <systemitem class=\"service\">httpd</systemitem> service by typing the "
 "following at a shell prompt as <systemitem "
 "class=\"username\">root</systemitem>:"
 msgstr ""
+"Supposons que vous vouliez lancer le serveur Apache HTTP sur votre système. Si vous "
+"avez installé le paquet <package>httpd</package>, vous pouvez activer le "
+"service <systemitem class=\"service\">httpd</systemitem> en saisissant, en tant "
+"que <systemitem class=\"username\">root</systemitem>, ce qui suit dans une console : "
 
 #. Tag: screen
 #, no-c-format
 msgid "~]# <command>systemctl enable httpd.service</command>"
-msgstr ""
+msgstr "~]# <command>systemctl enable httpd.service</command>"
 
 #. Tag: title
 #, no-c-format
 msgid "Disabling the Service"
-msgstr ""
+msgstr "Désactivation du service"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "To disable starting a service at boot time, use the "
 "<command>systemctl</command> command in the following form:"
 msgstr ""
+"Pour désactiver un service au démarrage, utiliser la "
+"commande <command>systemctl</command> de la manière suivante : "
 
 #. Tag: screen
 #, no-c-format
 msgid ""
 "<command>systemctl</command> <option>disable</option> "
 "<option><replaceable>service_name</replaceable>.service</option>"
 msgstr ""
+"<command>systemctl</command> <option>disable</option> "
+"<option><replaceable>nom_du_service</replaceable>.service</option>"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "The next time you boot the system, the service will <emphasis>not</emphasis>"
 " be started. For information on how to stop the service immediately, refer "
 "to <xref linkend=\"s3-services-running-stopping\" />."
 msgstr ""
+"La prochaine fois que vous démarrerez le système le service ne sera <emphasis>pas</emphasis> "
+"lancé. Pour savoir comment arrêter le service immédiatement veuillez consulter "
+"<xref linkend=\"s3-services-running-stopping\" />."
 
 #. Tag: title
 #, no-c-format
 msgid "Disabling the telnet service"
-msgstr ""
+msgstr "Désactivation du service telnet"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "In order to secure the system, users are advised to disable insecure "
 "connection protocols such as Telnet. You can make sure that the <systemitem "
 "class=\"service\">telnet</systemitem> service is disabled by running the "
 "following command as <systemitem class=\"username\">root</systemitem>:"
 msgstr ""
+"Afin de sécuriser le système, il est conseillé aux utilisateur de désactiver les "
+"protocoles de connexion non-sécurisés comme Telnet. Vous pouvez vous assurer que "
+"le service <systemitem class=\"service\">telnet</systemitem> est désactivé en lançant, "
+"en tant que <systemitem class=\"username\">root</systemitem>, la commande suivante : "
 
 #. Tag: screen
 #, no-c-format
 msgid "~]# <command>systemctl disable telnet.service</command>"
-msgstr ""
+msgstr "~]# <command>systemctl disable telnet.service</command>"
 
 #. Tag: title
 #, no-c-format
 msgid "Running Services"
-msgstr ""
+msgstr "Exécution des services"
 
 #. Tag: indexterm
 #, no-c-format
 msgid ""
 "<primary>services configuration</primary> <secondary> "
 "<command>ssystemctl</command> </secondary>"
 msgstr ""
+"<primary>configuration des services</primary> <secondary> "
+"<command>ssystemctl</command> </secondary>"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "The <application>systemctl</application> utility also allows you to "
 "determine the status of a particular service, as well as to start, stop, or "
 "restart a service."
 msgstr ""
+"L'utilitaire <application>systemctl</application> vous permet aussi de connaitre "
+"le statut d'un service particulier, ainsi que de démarrer, arrêter ou "
+"redémarrer un service."
 
 #. Tag: title
 #, no-c-format
 msgid "Do not use the service utility"
-msgstr ""
+msgstr "Ne pas utiliser l'utilitaire de service"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "Although it is still possible to use the <application>service</application> "
 "utility to manage services that have init scripts installed in the <filename"
 " class=\"directory\">/etc/rc.d/init.d/</filename> directory, it is advised "
 "that you use the <application>systemctl</application> utility."
 msgstr ""
+"Bien qu'il soit encore possible d'utiliser l'utilitaire <application>service</application> "
+"pour gérer les services qui ont des scripts d'initialisation dans le répertoire "
+"<filenameclass=\"directory\">/etc/rc.d/init.d/</filename>, il vous est conseillé "
+"d'utiliser l'utilitaire <application>systemctl</application>."
 
 #. Tag: title
 #, no-c-format
 msgid "Checking the Service Status"
-msgstr ""
+msgstr "Vérification de l'état du service"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "To determine the status of a particular service, use the "
 "<command>systemctl</command> command in the following form:"
 msgstr ""
+"Pour connaitre le statut d'un service particulier, utilisez la "
+"commande command>systemctl</command> de la façon suivante : "
 
 #. Tag: screen
 #, no-c-format
 msgid ""
 "<command>systemctl</command> <option>status</option> "
 "<option><replaceable>service_name</replaceable>.service</option>"
-msgstr ""
+m"<command>systemctl</command> <option>status</option> "
+"<option><replaceable>nom_du_service</replaceable>.service</option>"sgstr ""
+
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "This command provides detailed information on the service's status. However,"
 " if you merely need to verify that a service is running, you can use the "
 "<command>systemctl</command> command in the following form instead:"
 msgstr ""
+"cette commnde vous fournit des informations détaillées sur le statut des services. "
+"Cependant, si vous devez simplement vérifier que le service est lancé, vous pouvez utiliser "
+"la commande <command>systemctl</command> de la façon suivante : "
 
 #. Tag: screen
 #, no-c-format
 msgid ""
 "<command>systemctl</command> <option>is-active</option> "
 "<option><replaceable>service_name</replaceable>.service</option>"
 msgstr ""
+"<command>systemctl</command> <option>is-active</option> "
+"<option><replaceable>nom_du_service</replaceable>.service</option>"
 
 #. Tag: title
 #, no-c-format
 msgid "Checking the status of the httpd service"
-msgstr ""
+msgstr "Vérification de l'état du service httpd"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "<xref linkend=\"exam-services-configuration-enabling\" /> illustrated how to"
 " enable starting the <systemitem class=\"service\">httpd</systemitem> "
 "service at boot time. Imagine that the system has been restarted and you "
 "need to verify that the service is really running. You can do so by typing "
 "the following at a shell prompt:"
 msgstr ""
+"<xref linkend=\"exam-services-configuration-enabling\" /> vous indique comment "
+"permettre le lancement du service <systemitem class=\"service\">httpd</systemitem> "
+"au démarrage. Supposons que le système ait été redémarré et que vous ayez besoin de "
+"vérifier que le service est réellement lancé. Vous pouvez le faire en saisissant "
+"la commande suivante dans une console : "
 
 #. Tag: screen
 #, no-c-format
 msgid ""
 "~]$ <command>systemctl is-active httpd.service</command>\n"
 "active"
 msgstr ""
+"~]$ <command>systemctl is-active httpd.service</command>\n"
+"active"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "You can also display detailed information about the service by running the "
 "following command:"
 msgstr ""
+"Vous pouvez aussi afficher des informations détaillées sur les services en lançant "
+"la commande suivante : "
 
 #. Tag: screen
 #, no-c-format
 msgid ""
-"~]$ <command>systemctl status httpd.service</command>\n"
+"~]$ <command>~]# <command>systemctl restart httpd.service</command></command>\n"
 "httpd.service - LSB: start and stop Apache HTTP Server\n"
 "          Loaded: loaded (/etc/rc.d/init.d/httpd)\n"
 "          Active: active (running) since Mon, 23 May 2011 21:38:57 +0200; 27s ago\n"
 "         Process: 2997 ExecStart=/etc/rc.d/init.d/httpd start (code=exited, status=0/SUCCESS)\n"
 "        Main PID: 3002 (httpd)\n"
 "          CGroup: name=systemd:/system/httpd.service\n"
 "                  ├ 3002 /usr/sbin/httpd\n"
 "                  ├ 3004 /usr/sbin/httpd\n"
 "                  ├ 3005 /usr/sbin/httpd\n"
 "                  ├ 3006 /usr/sbin/httpd\n"
 "                  ├ 3007 /usr/sbin/httpd\n"
 "                  ├ 3008 /usr/sbin/httpd\n"
 "                  ├ 3009 /usr/sbin/httpd\n"
 "                  ├ 3010 /usr/sbin/httpd\n"
 "                  └ 3011 /usr/sbin/httpd"
 msgstr ""
+"~]$ <command>~]# <command>systemctl restart httpd.service</command></command>\n"
+"httpd.service - LSB: start and stop Apache HTTP Server\n"
+"          Loaded: loaded (/etc/rc.d/init.d/httpd)\n"
+"          Active: active (running) since Mon, 23 May 2011 21:38:57 +0200; 27s ago\n"
+"         Process: 2997 ExecStart=/etc/rc.d/init.d/httpd start (code=exited, status=0/SUCCESS)\n"
+"        Main PID: 3002 (httpd)\n"
+"          CGroup: name=systemd:/system/httpd.service\n"
+"                  ├ 3002 /usr/sbin/httpd\n"
+"                  ├ 3004 /usr/sbin/httpd\n"
+"                  ├ 3005 /usr/sbin/httpd\n"
+"                  ├ 3006 /usr/sbin/httpd\n"
+"                  ├ 3007 /usr/sbin/httpd\n"
+"                  ├ 3008 /usr/sbin/httpd\n"
+"                  ├ 3009 /usr/sbin/httpd\n"
+"                  ├ 3010 /usr/sbin/httpd\n"
+"                  └ 3011 /usr/sbin/httpd"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "To display a list of all active system services, use the following command:"
 msgstr ""
+"Pour afficher la liste de tous les services actifs, utilisez la commande suivante : "
 
 #. Tag: screen
 #, no-c-format
 msgid "<command>systemctl list-units --type=service</command>"
-msgstr ""
+msgstr "<command>systemctl list-units --type=service</command>"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "This command provides a tabular output with each line consisting of the "
 "following columns:"
 msgstr ""
+"Cette commande fournit une sortie sous forme de tableau dont chaque ligne "
+"est composée des colonnes suivantes:"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "<computeroutput>UNIT</computeroutput> — A <systemitem "
 "class=\"service\">systemd</systemitem> unit name. In this case, a service "
 "name."
 msgstr ""
+"<computeroutput>UNIT</computeroutput> — Un nom d'unité <systemitem "
+"class=\"service\">systemd</systemitem>. Dans ce cas, un nom de "
+"service."
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "<computeroutput>LOAD</computeroutput> — Information whether the <systemitem "
 "class=\"service\">systemd</systemitem> unit was properly loaded."
 msgstr ""
+"<computeroutput>LOAD</computeroutput> — Informe si l'unité <systemitem "
+"class=\"service\">systemd</systemitem> a été correctement lancé."
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "<computeroutput>ACTIVE</computeroutput> — A high-level unit activation "
 "state."
 msgstr ""
+"<computeroutput>ACTIVE</computeroutput> — Un état haut-niveau de l'unité "
+"d'activation."
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "<computeroutput>SUB</computeroutput> — A low-level unit activation state."
 msgstr ""
+"<computeroutput>SUB</computeroutput> — Un état de faible niveau de l'unité d'activation."
 
 #. Tag: para
 #, no-c-format
 msgid "<computeroutput>JOB</computeroutput> — A pending job for the unit."
-msgstr ""
+msgstr "<computeroutput>JOB</computeroutput> — Un travail en cours pour l'unité."
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "<computeroutput>DESCRIPTION</computeroutput> — A brief description of the "
 "unit."
 msgstr ""
+"<computeroutput>DESCRIPTION</computeroutput> — Une brève description de l'unité."
 
 #. Tag: title
 #, no-c-format
 msgid "Listing all active services"
-msgstr ""
+msgstr "Afficher tous les services actifs"
 
 #. Tag: para
 #, no-c-format
 msgid "You can list all active services by using the following command:"
-msgstr ""
+msgstr "Vous pouvez afficher la liste des services actifs en utilisant la commande suivante : "
 
 #. Tag: screen
 #, no-c-format
 msgid ""
 "~]$ <command>systemctl list-units --type=service</command>\n"
 "UNIT                      LOAD   ACTIVE SUB     JOB DESCRIPTION\n"
 "abrt-ccpp.service         loaded active exited      LSB: Installs coredump handler which saves segfault data\n"
 "abrt-oops.service         loaded active running     LSB: Watches system log for oops messages, creates ABRT dump directories for each oops\n"
 "abrtd.service             loaded active running     ABRT Automated Bug Reporting Tool\n"
 "accounts-daemon.service   loaded active running     Accounts Service\n"
 "atd.service               loaded active running     Job spooling tools\n"
 msgstr ""
+"~]$ <command>systemctl list-units --type=service</command>\n"
+"UNIT                      LOAD   ACTIVE SUB     JOB DESCRIPTION\n"
+"abrt-ccpp.service         loaded active exited      LSB: Installs coredump handler which saves segfault data\n"
+"abrt-oops.service         loaded active running     LSB: Watches system log for oops messages, creates ABRT dump directories for each oops\n"
+"abrtd.service             loaded active running     ABRT Automated Bug Reporting Tool\n"
+"accounts-daemon.service   loaded active running     Accounts Service\n"
+"atd.service               loaded active running     Job spooling tools\n"
 
 #. Tag: lineannotation
 #, no-c-format
 msgid "[output truncated]"
-msgstr ""
+msgstr "[output truncated]"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "In the example above, the <systemitem class=\"service\">abrtd</systemitem> "
 "service is loaded, active, and running, and it does not have any pending "
 "jobs."
 msgstr ""
+"Dans l'exemple ci-dessus, le service <systemitem class=\"service\">abrtd</systemitem> "
+"est lancé, actif et en cours de fonctionnement, et il n'a pas de tâches "
+"en attente."
 
 #. Tag: title
 #, no-c-format
 msgid "Running the Service"
-msgstr ""
+msgstr "Exécution du service"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "To run a service, use the <command>systemctl</command> command in the "
 "following form:"
 msgstr ""
+"Pour exécuter un service, utilisez la commande <command>systemctl</command> "
+"de la manière suivante : "
 
 #. Tag: screen
 #, no-c-format
 msgid ""
 "<command>systemctl</command> <option>start</option> "
 "<option><replaceable>service_name</replaceable>.service</option>"
 msgstr ""
+"<command>systemctl</command> <option>start</option> "
+"<option><replaceable>nom_du_service</replaceable>.service</option>"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "This will start the service in the current session. To configure the service"
 " to be started at boot time, refer to <xref linkend=\"s3-services-"
 "configuration-enabling\" />."
 msgstr ""
+"Cela démarrera le service pour la session en cours. Pour lancer le service "
+"au démarrage, veuillez consulter <xref linkend=\"s3-services-"
+"configuration-enabling\" />."
 
 #. Tag: title
 #, no-c-format
 msgid "Running the httpd service"
-msgstr ""
+msgstr "Exécuter le service httpd"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "<xref linkend=\"exam-services-configuration-enabling\" /> illustrated how to"
 " run the <systemitem class=\"service\">httpd</systemitem> service at boot "
 "time. You can start the service immediately by typing the following at a "
 "shell prompt as <systemitem class=\"username\">root</systemitem>:"
 msgstr ""
+"<xref linkend=\"exam-services-configuration-enabling\" /> vous indique comment "
+"lancer le service <systemitem class=\"service\">httpd</systemitem> au "
+"démarrage. Vous pouvez lancer le service immédiatement en saisissant la commande"
+"suivante en tant que <systemitem class=\"username\">root</systemitem> : "
 
 #. Tag: screen
 #, no-c-format
 msgid "~]# <command>systemctl start httpd.service</command>"
-msgstr ""
+msgstr "~]# <command>systemctl start httpd.service</command>"
 
 #. Tag: title
 #, no-c-format
 msgid "Stopping the Service"
-msgstr ""
+msgstr "Arrêt d'un service"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "To stop a service, use the <command>systemctl</command> command in the "
 "following form:"
 msgstr ""
+"Pour arrêter un service, utiliser la commande <command>systemctl</command> "
+"de la manière suivante : "
 
 #. Tag: screen
 #, no-c-format
 msgid ""
 "<command>systemctl</command> <option>stop</option> "
 "<option><replaceable>service_name</replaceable>.service</option>"
 msgstr ""
+"<command>systemctl</command> <option>stop</option> "
+"<option><replaceable>nom_du_service</replaceable>.service</option>"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "This will stop the service in the current session. To disable starting the "
 "service at boot time, refer to <xref linkend=\"s3-services-configuration-"
 "enabling\" />."
 msgstr ""
+"Cela arrêtera le service de la session courante. Pour désactiver le lancement"
+"du service au démarrage, veuillez consulter <xref linkend=\"s3-services-configuration-"
+"enabling\" />."
 
 #. Tag: title
 #, no-c-format
 msgid "Stopping the telnet service"
-msgstr ""
+msgstr "Arrêt du service telnet"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "<xref linkend=\"exam-services-configuration-disabling\" /> illustrated how "
 "to disable starting the <systemitem class=\"service\">telnet</systemitem> "
 "service at boot time. You can stop the service immediately by running the "
 "following command as <systemitem class=\"username\">root</systemitem>:"
 msgstr ""
+"<xref linkend=\"exam-services-configuration-disabling\" /> vous indique comment "
+"désavtiver le lancement du service <systemitem class=\"service\">telnet</systemitem> "
+"au démarrage. Vous pouvez arrêtez le service immédiatement en saisissant la commande "
+"suivante en tant que <systemitem class=\"username\">root</systemitem> : "
 
 #. Tag: screen
 #, no-c-format
 msgid "~]# <command>systemctl stop telnet.service</command>"
-msgstr ""
+msgstr "~]# <command>systemctl stop telnet.service</command>"
 
 #. Tag: title
 #, no-c-format
 msgid "Restarting the Service"
-msgstr ""
+msgstr "Redémmarer un service"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "To restart a service, use the <command>systemctl</command> command in the "
 "following form:"
 msgstr ""
+"Pour redémarrer un service, utiliser la commande <command>systemctl</command> "
+"de la manière suivante : "
 
 #. Tag: screen
 #, no-c-format
 msgid ""
 "<command>systemctl</command> <option>restart</option> "
 "<option><replaceable>service_name</replaceable>.service</option>"
 msgstr ""
+"<command>systemctl</command> <option>restart</option> "
+"<option><replaceable>nom_du_service</replaceable>.service</option>"
 
 #. Tag: title
 #, no-c-format
 msgid "Restarting the sshd service"
-msgstr ""
+msgstr "Redémarrer le service sshd"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "For any changes in the <filename>/etc/ssh/sshd_config</filename> "
 "configuration file to take effect, it is required that you restart the "
 "<systemitem class=\"service\">sshd</systemitem> service. You can do so by "
 "typing the following at a shell prompt as <systemitem "
 "class=\"username\">root</systemitem>:"
 msgstr ""
+"Pour que toutes les modifications du fichier de configuration <filename>"
+"/etc/ssh/sshd_config</filename> prennent effet, il est nécessaire que vous redémarriez "
+"le service <systemitem class=\"service\">sshd</systemitem>. Vous pouvez le faire en "
+"saisissant, en tant que <systemitem class=\"username\">root</systemitem>, la "
+"commande suivante dans une console : "
 
 #. Tag: screen
 #, no-c-format
 msgid "~]# <command>systemctl restart httpd.service</command>"
-msgstr ""
+msgstr "~]# <command>systemctl restart httpd.service</command>"
 
 #. Tag: title
 #, no-c-format
 msgid "Additional Resources"
 msgstr "Ressources supplémentaires"
 
 #. Tag: title
 #, no-c-format
 msgid "Installed Documentation"
 msgstr "Documentation installée"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "<literal>systemctl</literal>(1) — The manual page for the "
 "<application>systemctl</application> utility."
 msgstr ""
+"<literal>systemctl</literal>(1) — Les pages du manuel pour l'utilitaire "
+"<application>systemctl</application>."
 
 #. Tag: title
 #, no-c-format
 msgid "Related Books"
 msgstr "Livres sur le sujet"
 
 #. Tag: term
 #, no-c-format
 msgid "<citetitle pubwork=\"book\">Security Guide</citetitle>"
-msgstr ""
+msgstr "<citetitle pubwork=\"book\">Security Guide</citetitle>"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "A guide to securing &MAJOROS;. It contains valuable information on how to "
 "set up the firewall, as well as the configuration of "
 "<application>SELinux</application>."
 msgstr ""
+"Un guide pour sécuriser &MAJOROS;. Il contient de précieuses informations sur la façon "
+"de configurer le pare-feu, ainsi que sur la configuration de "
+"<application>SELinux</application>."
 
 