--- anaconda_master_fr.po	2011-04-12 18:32:49.408196631 +0200
+++ anaconda_master_fr-new.po	2011-04-12 20:28:01.292758976 +0200
@@ -1,25 +1,25 @@
-# SOME DESCRIPTIVE TITLE.
 # Copyright (C) YEAR Red Hat, Inc.
 # This file is distributed under the same license as the PACKAGE package.
-# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
-# 
+#
+# , 2011.
 msgid ""
 msgstr ""
 "Project-Id-Version: Anaconda\n"
 "Report-Msgid-Bugs-To: http://bugzilla.redhat.com/\n"
 "POT-Creation-Date: 2011-04-11 19:52-0500\n"
-"PO-Revision-Date: 2011-04-12 16:03+0000\n"
-"Last-Translator: dominique <chepioq@gmail.com>\n"
+"PO-Revision-Date: 2011-04-12 19:32+0100\n"
+"Last-Translator: Bribanick dominique <chepioq@gmail.com>\n"
 "Language-Team: French <trans-fr@lists.fedoraproject.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Language: fr\n"
 "Plural-Forms: nplurals=2; plural=(n > 1)\n"
+"X-Generator: Lokalize 1.2\n"
 
 #: anaconda:301
 msgid "Press <enter> for a shell"
 msgstr "Appuyez sur « Entrée » pour ouvrir un interpréteur de commandes"
 
 #: anaconda:315
 #, c-format
@@ -128,15 +128,15 @@
 #: pyanaconda/backend.py:134
 #, python-format
 msgid "Installing %s\n"
 msgstr "Installation de %s\n"
 
 #: pyanaconda/bootloader.py:799
 msgid "Master Boot Record"
-msgstr ""
+msgstr "Master Boot Record"
 
 #: pyanaconda/bootloader.py:800
 msgid "First sector of boot partition"
 msgstr "Premier secteur de la partition de démarrage"
 
 #: pyanaconda/bootloader.py:801 pyanaconda/bootloader.py:1123
 #: pyanaconda/bootloader.py:1360 pyanaconda/bootloader.py:1382
@@ -146,19 +146,19 @@
 
 #: pyanaconda/bootloader.py:1122
 msgid "EFI System Partition"
 msgstr "Partition système EFI"
 
 #: pyanaconda/bootloader.py:1359
 msgid "PReP Boot Partition"
-msgstr ""
+msgstr "PerP Boot Partition"
 
 #: pyanaconda/bootloader.py:1381
 msgid "Apple Bootstrap Partition"
-msgstr ""
+msgstr "Partition de démarrage Apple"
 
 #: pyanaconda/bootloader.py:1566 pyanaconda/bootloader.py:1622
 #: pyanaconda/bootloader.py:1675 pyanaconda/gui.py:1126 pyanaconda/image.py:74
 #: pyanaconda/installinterfacebase.py:71
 #: pyanaconda/installinterfacebase.py:148 pyanaconda/packages.py:319
 #: pyanaconda/text.py:431 pyanaconda/yuminstall.py:1502
 #: pyanaconda/yuminstall.py:1626 pyanaconda/yuminstall.py:1661
@@ -211,14 +211,16 @@
 msgstr "Installation du chargeur de démarrage."
 
 #: pyanaconda/bootloader.py:1623
 msgid ""
 "No kernel packages were installed on the system. Bootloader configuration "
 "will not be changed."
 msgstr ""
+"Aucun noyau n'a été installé sur le système. La configuration du chargeur "
+"de démarrage n'a pas été modifié."
 
 #: pyanaconda/bootloader.py:1676
 msgid ""
 "There was an error installing the bootloader.  The system may not be "
 "bootable."
 msgstr ""
 "Une erreur est survenue lors de l'installation du chargeur de démarrage. Le "
@@ -1237,50 +1239,54 @@
 #, python-format
 msgid "iSCSI %s Error"
 msgstr "Erreur iSCSI %s"
 
 #: pyanaconda/platform.py:98
 #, python-format
 msgid "%s must have a %s disk label."
-msgstr ""
+msgstr "%s doit avoir une étiquette de disque %s."
 
 #: pyanaconda/platform.py:111
 msgid "You have not created a bootable partition."
 msgstr "Vous n'avez pas créé de partition amorçable."
 
 #: pyanaconda/platform.py:118
 #, python-format
 msgid "The /boot filesystem cannot be on devices of type %s"
-msgstr ""
+msgstr "Le système de fichiers /boot ne peut pas être sur une partition de type %s"
 
 #: pyanaconda/platform.py:124
 #, python-format
 msgid ""
 "RAID sets containing the /boot filesystem must have one of the following "
 "raid levels: %s."
 msgstr ""
+"Les ensembles RAID contenant le système de fichiers /boot doivent avoir "
+"un des niveaux RAID suivants : %s."
 
 #: pyanaconda/platform.py:130
 msgid ""
 "RAID sets containing the /boot filesystem may only have partitions as member"
 " devices."
 msgstr ""
+"Les ensembles RAID contenant le système de fichiers /boot ne peuvent avoir que des partitions"
+" en tant que membre."
 
 #: pyanaconda/platform.py:139
 #, python-format
 msgid "The /boot filesystem cannot be of type %s."
-msgstr ""
+msgstr "Le système de fichiers /boot ne peut pas être de type %s."
 
 #: pyanaconda/platform.py:143 pyanaconda/platform.py:148
 msgid "The /boot filesystem cannot be on an encrypted block device"
-msgstr ""
+msgstr "Le système de fichiers /boot ne peut pas être sur une partition chiffrée"
 
 #: pyanaconda/platform.py:241
 msgid "The boot partition must be within the first 10MB of the disk."
-msgstr ""
+msgstr "La partition de démarrage doit être sur les premiers 10 Mio du disque."
 
 #: pyanaconda/rescue.py:211 pyanaconda/rescue.py:367 pyanaconda/rescue.py:452
 #, python-format
 msgid "Run %s to unmount the system when you are finished."
 msgstr "Exécutez %s pour démonter le système une fois que vous avez terminé."
 
 #: pyanaconda/rescue.py:214
@@ -2374,15 +2380,15 @@
 msgid "Boot Loader Configuration"
 msgstr "Configuration du chargeur de démarrage"
 
 #: pyanaconda/iw/bootloader_main_gui.py:167
 #: pyanaconda/iw/bootloader_main_gui.py:184
 #, python-format
 msgid "_Install boot loader on %s."
-msgstr ""
+msgstr "_Installer le chargeur de démarrage sur %s."
 
 #: pyanaconda/iw/bootloader_main_gui.py:194
 msgid "_Change device"
 msgstr "_Changer de disque"
 
 #: pyanaconda/iw/cleardisks_gui.py:34
 msgid "Clear Disks Selector"
@@ -5759,14 +5765,17 @@
 
 #: pyanaconda/textw/zipl_text.py:35
 msgid ""
 "The z/IPL Boot Loader will be installed on your system after installation is"
 " complete. You can now enter any additional kernel parameters required by "
 "your machine or setup."
 msgstr ""
+"Le chargeur de démarrage z/IPL sera installé sur votre système après que l'installation"
+" soit terminée. Vous pouvez maintenant entrer les paramètres du noyau requis par "
+"votre machine ou votre configuration."
 
 #: pyanaconda/textw/zipl_text.py:50
 msgid "z/IPL Configuration"
 msgstr "Configuration de z/IPL"
 
 #: data/liveinst/liveinst.desktop.in.h:1
 msgid "Install"