--- system-config-printer_default_fr.po	2011-08-26 07:29:32.492693745 +0200
+++ system-config-printer_default_fr1.po	2011-08-26 19:52:01.000000000 +0200
@@ -10,23 +10,24 @@
 # Mathieu Schopfer <mat.schopfer@bluewin.ch>, 2008.
 # Luya Tshimbalanga <luya@fedoraproject.org>, 2009.
 # Damien Durand <splinux@fedoraproject.org>, 2006.
 # Decroux Fabien <fdecroux@redhat.com>, 2006.
 # Boris BARNIER <b.barnier@gmail.com>, 2011.
 # Kévin Raymond <shaiton@fedoraproject.org>, 2011.
 # Thomas Canniot <mrtom@fedoraproject.org>, 2006, 2007, 2008, 2009.
 # Dimitris Glezos <glezos@indifex.com>, 2011.
+# Dominique Bribanick <chepioq@gmail.com>, 2011.
 msgid ""
 msgstr ""
 "Project-Id-Version: system-config-printer\n"
 "Report-Msgid-Bugs-To: https://bugzilla.redhat.com/bugzilla\n"
 "POT-Creation-Date: 2011-08-22 12:15+0100\n"
-"PO-Revision-Date: 2011-07-28 15:50+0000\n"
-"Last-Translator: twaugh <twaugh@redhat.com>\n"
+"PO-Revision-Date: 2011-08-26 19:51+0100\n"
+"Last-Translator: Bribanick dominique <chepioq@gmail.com>\n"
 "Language-Team: French <trans-fr@lists.fedoraproject.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Language: fr\n"
 "Plural-Forms: nplurals=2; plural=(n > 1)\n"
 
 #: ../asyncipp.py:450 ../authconn.py:426 ../authconn.py:428
@@ -1580,17 +1581,17 @@
 msgstr "Vous devez vous identifier pour accéder à %s."
 
 #: ../serversettings.py:92
 msgid "Problems?"
 msgstr "Problèmes ?"
 
 #: ../serversettings.py:261
 msgid "Enter hostname"
-msgstr ""
+msgstr "Entrer le nom d'hôte"
 
 #: ../serversettings.py:506
 msgid "modifying server settings"
 msgstr "modification des propriétés du serveur"
 
 #: ../serversettings.py:543
 msgid "Adjust the firewall now to allow all incoming IPP connections?"
 msgstr ""
@@ -1835,16 +1836,21 @@
 #: ../ui/AboutDialog.ui.h:3
 msgid ""
 "This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.\n"
 "\n"
 "This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.\n"
 "\n"
 "You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA."
 msgstr ""
+"Ce programme est un logiciel libre; vous pouvez le redistribuer et le modifier en accord avec les termes de la licence publique générale GNU publiée par la « Free Software Foundation » ; soit la version 2 de cette licence ou (à votre choix) toutes versions ultérieures.\n"
+"\n"
+"Ce programme est distribué en espérant qu'il vous sera utile, mais SANS AUCUNE GARANTIE ; sans même la garantie implicite de COMMERCIALISATION ou D'ADAPTATION A UN USAGE PARTICULIER. Consulter la licence publique générale GNU pour plus de détails.\n"
+"\n"
+"Vous devriez avoir reçu une copie de la licence publique générale GNU avec ce programme; dans le cas contraire écrivez à la Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA."
 
 #. TRANSLATORS: Replace this string with your names, one name per line.  Thank
 #. you very much for your effort on translating system-config-printer and all
 #. our other tools!
 #: ../ui/AboutDialog.ui.h:9
 msgid "translator-credits"
 msgstr ""
 "Bettina De Monti\n"
@@ -2629,25 +2635,25 @@
 msgstr "Marge haute :"
 
 #: ../ui/PrinterPropertiesDialog.ui.h:80
 msgid "Word wrap"
 msgstr "Retour à la ligne automatique"
 
 #: ../ui/PrinterPropertiesDialog.ui.h:81
 msgid "make and model"
-msgstr ""
+msgstr "marque et modèle"
 
 #: ../ui/PrinterPropertiesDialog.ui.h:84
 msgid "points"
 msgstr "points"
 
 #: ../ui/PrinterPropertiesDialog.ui.h:85
 msgid "printer state"
-msgstr ""
+msgstr "état de l'imprimante"
 
 #: ../ui/PrinterPropertiesDialog.ui.h:86
 msgid "user"
 msgstr "utilisateur"
 
 #: ../ui/PrintersWindow.ui.h:1
 msgid ""
 "Printing service not available.  Start the service on this computer or "