--- libreport_master_fr1.po	2011-08-18 17:08:56.000000000 +0200
+++ libreport_master_fr2.po	2011-08-21 19:40:57.373009592 +0200
@@ -39,35 +39,35 @@
 msgid "Run EVENT on DUMP_DIR"
 msgstr "Exécuter EVENT sur DUMP_DIR"
 
 #: ../src/cli/cli.c:75
 msgid "Run analyze event(s) on DUMP_DIR"
-msgstr "Exécuter l'analyse d'événements sur DUMP_DIR"
+msgstr "Analyser les événements sur DUMP_DIR"
 
 #: ../src/cli/cli.c:76
 msgid "Run collect event(s) on DUMP_DIR"
-msgstr "Exécuter la récupération d'événement sur DUMP_DIR"
+msgstr "Récupérer les événement sur DUMP_DIR"
 
 #: ../src/cli/cli.c:77
 msgid "Analyze, collect and report problem data in DUMP_DIR"
-msgstr "Analyser, récupérer et rapporter les problèmes de base de données sur DUMP_DIR"
+msgstr "Analyser, récupérer et rapporter les données des problèmes sur DUMP_DIR"
 
 #: ../src/cli/cli.c:78
 msgid "Display version and exit"
 msgstr "Affiche la version et quitter"
 
 #: ../src/cli/cli.c:79
 msgid "Remove DUMP_DIR after reporting"
-msgstr "Supprimer DUMP_DIR après le rapport"
+msgstr "Supprimer DUMP_DIR une fois rapporté"
 
 #: ../src/cli/cli.c:80
 msgid "Noninteractive: don't ask questions, assume 'yes'"
 msgstr "Noninteractive : ne pas poser de questions, supposons « oui »"
 
 #: ../src/cli/cli.c:81
 msgid "With -r: do not run analyzers, run only reporters"
-msgstr "With -r : ne pas exécuter d'analyses, seulement les journaux"
+msgstr "With -r : rapporter sans effectuer d'analyses"
 
 #: ../src/cli/cli.c:83
 msgid "Log to syslog"
 msgstr "Journaliser vers syslog"
 
@@ -196,41 +196,41 @@
 msgstr "Sélectionner le programme de récupération : "
 
 #: ../src/cli/cli-report.c:778
 #, c-format
 msgid "There were %d errors while collecting additional data\n"
-msgstr "Il y a eu des erreurs %d lors de la récupération de données supplémentaires\n"
+msgstr "Il y a eu %d erreurs lors de la récupération des données supplémentaires\n"
 
 #: ../src/cli/cli-report.c:837 ../src/gui-wizard-gtk/wizard.c:1712
 msgid "Reporting..."
-msgstr "Envoi du rapport..."
+msgstr "Envoie du rapport..."
 
 #: ../src/cli/cli-report.c:852 ../src/report-newt/report-newt.c:55
 msgid "How would you like to report the problem?"
 msgstr "Comment souhaitez-vous rapporter le problème ?"
 
 #: ../src/cli/cli-report.c:862
 msgid "Select reporter(s): "
-msgstr "Sélectionner les journaux : "
+msgstr "Sélectionner la méthode d'envoie des rapport : "
 
 #: ../src/cli/cli-report.c:878
 msgid "Reporting disabled because the backtrace is unusable"
-msgstr "L'envoi du rapport est désactivé car le backtrace est inutilisable"
+msgstr "L'envoie du rapport est désactivé car le trace mémoire est inutilisable"
 
 #: ../src/cli/cli-report.c:882
 #, c-format
 msgid ""
 "Please try to install debuginfo manually using the command: \"debuginfo-"
 "install %s\" and try again\n"
 msgstr ""
-"Veuillez essayer d'installer debuginfo manuellement en utilisant la commande"
-" : « debuginfo-install %s » puis essayez à nouveau\n"
+"Veuillez tenter d'installer debuginfo manuellement en utilisant la commande"
+" : « debuginfo-install %s » et ré-essayer\n"
 
 #: ../src/cli/cli-report.c:904
 #, c-format
 msgid "Problem reported via %d report events (%d errors)\n"
-msgstr "Problème rapporté par l'intermédiaire du rapport d'événement %d (erreur %d)\n"
+msgstr "Problème rapporté par l'intermédiaire du rapport d'événement %d (%d errors)\n"
 
 #: ../src/gtk-helpers/event_config_dialog.c:122
 msgid "Show password"
 msgstr "Afficher le mot de passe"
 
@@ -265,39 +265,39 @@
 msgstr "Fichier d'IHM graphique alternatif"
 
 #. for use from 3rd party apps to show just a reporter selector
 #: ../src/gui-wizard-gtk/main.c:113 ../src/report-newt/report-newt.c:363
 msgid "Skip analyze steps, go through report steps only"
-msgstr "Ignorer les étapes d'analyse, aller directement à l'étape des rapports"
+msgstr "Ignorer les étapes d'analyse, aller directement à l'étape de rédaction des rapports"
 
 #. override the default prgname, so it's the same as the application
 #. * which is calling us
 #. 
 #: ../src/gui-wizard-gtk/main.c:117
 msgid "Override the default prgname"
-msgstr "Remplacer les noms de programmes par défaut"
+msgstr "Remplacer le nom des programmes par défaut"
 
 #: ../src/gui-wizard-gtk/main.c:118 ../src/report-newt/report-newt.c:364
 msgid "Remove DIR after reporting"
-msgstr "Supprimer DIR après l'envoi du rapport"
+msgstr "Supprimer DIR après l'envoie du rapport"
 
 #: ../src/gui-wizard-gtk/wizard.c:285
 #, c-format
 msgid ""
 "Wrong settings detected for %s, reporting will probably fail if you continue"
 " with the current configuration."
 msgstr ""
-"Mauvais paramètres détectés pour %s, l'envoi du rapport échouera probablement si vous continuez"
+"Mauvais paramètres détectés pour %s, l'envoie du rapport échouera probablement si vous continuez"
 " avec la configuration actuelle."
 
 #: ../src/gui-wizard-gtk/wizard.c:289
 #, c-format
 msgid ""
 "Wrong settings detected for <b>%s</b>, reporting will probably fail if you "
 "continue with the current configuration."
 msgstr ""
-"Mauvais paramètres détectés pour <b>%s</b>, l'envoi du rapport échouera probablement si vous "
+"Mauvais paramètres détectés pour <b>%s</b>, l'envoie du rapport échouera probablement si vous "
 "continuez avec la configuration actuelle."
 
 #: ../src/gui-wizard-gtk/wizard.c:306
 #, c-format
 msgid "Con_figure %s"
@@ -346,11 +346,11 @@
 msgstr "Aucune action liée à l'événement « %s » n'a été définie."
 
 #: ../src/gui-wizard-gtk/wizard.c:1592
 #, c-format
 msgid "Reporting disabled because the rating does not contain a number '%s'."
-msgstr "L'envoi du rapport est désactivé car la valeur nominale ne contient pas un nombre « %s »."
+msgstr "L'envoie du rapport est désactivé car la valeur nominale ne contient pas un nombre « %s »."
 
 #: ../src/gui-wizard-gtk/wizard.c:1601
 msgid ""
 "The backtrace is incomplete, please make sure you provide the steps to "
 "reproduce."
@@ -359,11 +359,11 @@
 " le reproduire."
 
 #. FIXME: see CreporterAssistant: 394 for ideas
 #: ../src/gui-wizard-gtk/wizard.c:1608
 msgid "Reporting disabled because the backtrace is unusable."
-msgstr "L'envoi du rapport est désactivé car le backtrace est inutilisable."
+msgstr "L'envoie du rapport est désactivé car le backtrace est inutilisable."
 
 #: ../src/gui-wizard-gtk/wizard.c:1685
 msgid "Analyzing..."
 msgstr "Analyse..."
 
@@ -468,11 +468,11 @@
 msgid ""
 "How did this problem happen (step-by-step)? How can it be reproduced? Any "
 "additional comments useful for diagnosing the problem?"
 msgstr ""
 "Comment ce problème est-il survenu (étape par étape) ? Comment peut-il être reproduit ? "
-"Avez vous d'autres commentaires utiles pour diagnostiquer le problème ?"
+"Avez vous d'autres commentaires utiles permettant de le diagnostiquer ?"
 
 #: ../src/gui-wizard-gtk/wizard.glade.h:10
 msgid "I reviewed the data and _agree with submitting it"
 msgstr "J'ai passé en revue les données et suis d'accord pour les envoyer"
 
@@ -481,12 +481,12 @@
 "If you are reporting to a remote server, make sure you removed all private "
 "data (such as usernames and passwords). Backtrace, command line, environment"
 " variables are the typical items in need of examining."
 msgstr ""
 "Si vous envoyez vers un serveur distant, vérifier que vous avez effacé toutes vos  "
-"données personnelles (comme les noms d'utilisateur et les mots de passe). Le backtrace, la ligne "
-"de commande et les variables d'environnement sont les éléments suffisants pour l'analyse."
+"données personnelles (comme les noms d'utilisateur et les mots de passe). Le trace mémoire, la ligne "
+"de commande et les variables d'environnement sont les principaux éléments à vérifier."
 
 #: ../src/gui-wizard-gtk/wizard.glade.h:12
 msgid ""
 "If you want to report the problem to a different destination, collect "
 "additional information, or provide a better problem description and repeat "
@@ -512,23 +512,23 @@
 msgid "Regenerate backtrace"
 msgstr "Régénérer la trace mémoire"
 
 #: ../src/gui-wizard-gtk/wizard.glade.h:15
 msgid "Reporter(s):"
-msgstr "Rapporteurs :"
+msgstr "Méthode de rapport :"
 
 #: ../src/gui-wizard-gtk/wizard.glade.h:16
 msgid "Reporting did not start yet"
 msgstr "L'envoie du rapport n'a pas encore commencé"
 
 #: ../src/gui-wizard-gtk/wizard.glade.h:17
 msgid "Reporting has finished. You can close this window now."
-msgstr "Le rapport est terminé. Vous pouvez fermer cette fenêtre maintenat."
+msgstr "Le rapport est terminé. Vous pouvez fermer cette fenêtre maintenant."
 
 #: ../src/gui-wizard-gtk/wizard.glade.h:18
 msgid "Select additional files to attach to the report:"
-msgstr "Sélectionner des fichiers complémentaires à ajouter au rapport."
+msgstr "Sélectionner des fichiers complémentaires à joindre au rapport."
 
 #: ../src/gui-wizard-gtk/wizard.glade.h:19
 msgid "Select how you would like to analyze the problem:"
 msgstr "Sélectionnez la manière d'analyser le problème :"
 
@@ -571,20 +571,20 @@
 msgid "Invalid boolean value '%s'"
 msgstr "Valeur booléenne invalide : « %s »"
 
 #: ../src/lib/event_config.c:342
 msgid "Unsupported option type"
-msgstr "Option de type non supportée"
+msgstr "Type d'option non prise en charge"
 
 #: ../src/lib/parse_options.c:58
 msgid "Usage: "
 msgstr "Utilisation :"
 
 #: ../src/lib/abrt_curl.c:170 ../src/plugins/reporter-upload.c:41
 #, c-format
 msgid "Uploaded: %llu of %llu kbytes"
-msgstr "Envoyé : %llu of %llu kilo-octets"
+msgstr "Envoyé : %llu sur %llu kilo-octets"
 
 #: ../src/plugins/report.c:30
 msgid ""
 "\\b [-v] --target TARGET --ticket ID FILE...\n"
 "\n"
@@ -598,19 +598,19 @@
 msgstr ""
 "\\b [-v] --target TARGET --ticket ID FILE...\n"
 "\n"
 "Envoie les fichiers vers la cible spécifiée par le ticket.\n"
 "\n"
-"Cet outil est fourni pour faciliter la transition des utilisateurs du paquet rapport\n"
+"Cet outil est fourni pour faciliter la transition des utilisateurs du paquet « report »\n"
 "vers libreport. Les cibles reconnues sont « strata » et « bugzilla » ,\n"
 "le premier envoie vers RHTSupport et le second - vers Bugzilla.\n"
 "\n"
-"La configuration (telles que les données de connexion) peuvent être fournis via des fichiers\n"
+"La configuration (telle que les données de connexion) peut être fournis via des fichiers\n"
 
 #: ../src/plugins/report.c:52
 msgid "'strata' or 'bugzilla'"
-msgstr "strata' ou 'bugzilla'"
+msgstr "« strata » ou « bugzilla »"
 
 #: ../src/plugins/report.c:53
 msgid "Ticket/case ID"
 msgstr "Ticket/cas ID"
 
@@ -660,28 +660,28 @@
 #: ../src/plugins/report_Bugzilla.xml.in.h:11
 msgid ""
 "You can create bugzilla.redhat.com account &lt;a "
 "href=\"https://bugzilla.redhat.com/createaccount.cgi\"&gt;here&lt;/a&gt;"
 msgstr ""
-"Vous pouvez créer un compte bugzilla.redhat.com account &lt;a "
-"href=\"https://bugzilla.redhat.com/createaccount.cgi\"&gt;here&lt;/a&gt;"
+"Vous pouvez créer un compte bugzilla.redhat.com &lt;a "
+"href=\"https://bugzilla.redhat.com/createaccount.cgi\"&gt;ici&lt;/a&gt;"
 
 #: ../src/plugins/report_Kerneloops.xml.in.h:1
 msgid "Kerneloops URL"
 msgstr "URL de kerneloops"
 
 #: ../src/plugins/report_Kerneloops.xml.in.h:2
 msgid "Kerneloops.org"
-msgstr "Kerneloops.or"
+msgstr "Kerneloops.org"
 
 #: ../src/plugins/report_Kerneloops.xml.in.h:3
 msgid "Oops server url"
 msgstr "URL du serveur oops"
 
 #: ../src/plugins/report_Kerneloops.xml.in.h:4
 msgid "Send kernel problems to oops tracker"
-msgstr "Envoyer les problèmes de noyau vers oops"
+msgstr "Envoyer les problèmes de noyau vers l'outil de suivi oops"
 
 #: ../src/plugins/report_Logger.xml.in.h:1
 msgid "Append"
 msgstr "Ajouter"
 
@@ -693,19 +693,19 @@
 msgid "Log File"
 msgstr "Fichier journal"
 
 #: ../src/plugins/report_Logger.xml.in.h:4
 msgid "Logger"
-msgstr "Journal"
+msgstr "Journalisation"
 
 #: ../src/plugins/report_Logger.xml.in.h:5
 msgid "Name of the logfile"
-msgstr "Nom du fichier journal"
+msgstr "Nom du journal"
 
 #: ../src/plugins/report_Logger.xml.in.h:6
 msgid "Save the report locally"
-msgstr "Enregistrez le rapport localement"
+msgstr "Enregistrer le rapport localement"
 
 #: ../src/plugins/report_Mailx.xml.in.h:1
 msgid "Mailx"
 msgstr "Mailx"
 
@@ -717,19 +717,19 @@
 msgid "Recipient"
 msgstr "Destinataire"
 
 #: ../src/plugins/report_Mailx.xml.in.h:4
 msgid "Recipient's email"
-msgstr "Messagerie du destinataire"
+msgstr "Adresse e-mail du destinataire"
 
 #: ../src/plugins/report_Mailx.xml.in.h:5
 msgid "Send Binary Data"
 msgstr "Envoyer des données binaires"
 
 #: ../src/plugins/report_Mailx.xml.in.h:6
 msgid "Send binary files like coredump"
-msgstr "Envoyer des fichiers binaires comme coredump"
+msgstr "Envoyer des fichiers binaires tels que des traces mémoires"
 
 #: ../src/plugins/report_Mailx.xml.in.h:7
 msgid "Send via email"
 msgstr "Envoyer par e-mail"
 
@@ -757,15 +757,15 @@
 msgid "Red Hat Customer Support"
 msgstr "Soutien à la clientèle Red Hat"
 
 #: ../src/plugins/report_RHTSupport.xml.in.h:6
 msgid "Red Hat customer password"
-msgstr "Mot de passe du client Red Hat"
+msgstr "Mot de passe client Red Hat"
 
 #: ../src/plugins/report_RHTSupport.xml.in.h:7
 msgid "Red Hat customer user name"
-msgstr "Nom d'utilisateur du client Red Hat"
+msgstr "Nom d'utilisateur client Red Hat"
 
 #: ../src/plugins/report_RHTSupport.xml.in.h:8
 msgid "Report to Red Hat support"
 msgstr "Rapporter vers l'assistance Red Hat"
 
@@ -781,11 +781,11 @@
 msgid "URL"
 msgstr "URL"
 
 #: ../src/plugins/report_Uploader.xml.in.h:3
 msgid "Upload compressed report to url of choice"
-msgstr "Envoyer le rapport compresse vers l'URL de son choix"
+msgstr "Envoyer le rapport compressé vers l'URL de son choix"
 
 #: ../src/plugins/report_Uploader.xml.in.h:4
 msgid ""
 "Where do you want to upload the tarball with report in form "
 "login:password@url"
@@ -813,11 +813,11 @@
 msgid "Checking for duplicates"
 msgstr "Contrôle des doublons"
 
 #: ../src/plugins/reporter-bugzilla.c:70
 msgid "Missing mandatory member 'bugs'"
-msgstr "membre obligatoire « anomalies » manquant"
+msgstr "Membre obligatoire « anomalies » manquant"
 
 #: ../src/plugins/reporter-bugzilla.c:109
 msgid "Creating a new bug"
 msgstr "Créer une nouvelle anomalie"
 
@@ -913,11 +913,11 @@
 msgstr "Identification ou mot de passe vide, veuillez vérifier votre configuration"
 
 #: ../src/plugins/reporter-kerneloops.c:98
 #, c-format
 msgid "Submitting oops report to %s"
-msgstr "Envoi du rapport oops vers %s"
+msgstr "Envoie du rapport oops vers %s"
 
 #: ../src/plugins/reporter-kerneloops.c:133
 msgid ""
 "\\b [-v] [-c CONFFILE]... -d DIR\n"
 "\n"
@@ -945,11 +945,11 @@
 msgid "Configuration file"
 msgstr "Fichier de configuration"
 
 #: ../src/plugins/reporter-mailx.c:102
 msgid "Sending an email..."
-msgstr "Envoi d'un e-mail..."
+msgstr "Envoie d'un e-mail..."
 
 #: ../src/plugins/reporter-mailx.c:134
 msgid ""
 "\\b [-v] -d DIR [-c CONFFILE]\n"
 "\n"
@@ -1061,17 +1061,17 @@
 msgstr "Identifiant ou mot de passe RHTS vide"
 
 #: ../src/plugins/reporter-upload.c:59
 #, c-format
 msgid "Sending %s to %s"
-msgstr "Envoi de %s vers %s"
+msgstr "Envoie de %s vers %s"
 
 #. This ends up a "reporting status message" in abrtd
 #: ../src/plugins/reporter-upload.c:92
 #, c-format
 msgid "Successfully sent %s to %s"
-msgstr "Envoi avec succès de %s vers %s"
+msgstr "Envoie avec succès de %s vers %s"
 
 #: ../src/plugins/reporter-upload.c:214
 #, c-format
 msgid "Archive is created: '%s'"
 msgstr "L'archive est créée : « %s »"
@@ -1090,11 +1090,11 @@
 "Recognized string parameter: URL.\n"
 "Parameter can be overridden via $Upload_URL."
 msgstr ""
 "\\b [-v] -d DIR [-c CONFFILE] [-u URL]\n"
 "\n"
-"Envoi l'archive compréssée du répertoire dump DIR vers l'URL.\n"
+"Envoie l'archive compréssée du répertoire dump DIR vers l'URL.\n"
 "Si l'URL n'est pas spécifiée, crée una archive dans /tmp et quitte.\n"
 "\n"
 "Les fichiers dont les noms sont cités dans $EXCLUDE_FROM_REPORT ne sont pas inclus\n"
 "dans l'archive.\n"
 "\n"
@@ -1154,11 +1154,11 @@
 msgid "--- Running %s ---"
 msgstr "--- %s en cours d'exécution ---"
 
 #: ../src/report-newt/report-newt.c:331
 msgid "No reporters available"
-msgstr "Pas de journaux disponibles"
+msgstr "Pas de méthodes de rapport disponibles"
 
 #: ../src/report-newt/report-newt.c:353
 msgid ""
 "\\b -o [-d] DIR\n"
 "\n"